ClustersResourceApi (cloudera-manager-api-swagger 7.13.1 API)
Date: 2026-05-19

com.cloudera.api.swagger

## Class ClustersResourceApi

- java.lang.Object
- - com.cloudera.api.swagger.ClustersResourceApi

-     public class ClustersResourceApi
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClustersResourceApi()`
    `ClustersResourceApi(ApiClient apiClient)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApiHostRefList` | `addHosts(String clusterName, ApiHostRefList body)`
    `okhttp3.Call` | `addHostsAsync(String clusterName, ApiHostRefList body, ApiCallback<ApiHostRefList> callback)` (asynchronously)
    `okhttp3.Call` | `addHostsCall(String clusterName, ApiHostRefList body, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for addHosts
    `ApiResponse<ApiHostRefList>` | `addHostsWithHttpInfo(String clusterName, ApiHostRefList body)`
    `List<ApiEntityTag>` | `addTags(String clusterName, List<ApiEntityTag> body)` Attach tags to the cluster.
    `okhttp3.Call` | `addTagsAsync(String clusterName, List<ApiEntityTag> body, ApiCallback<List<ApiEntityTag>> callback)` Attach tags to the cluster.
    `okhttp3.Call` | `addTagsCall(String clusterName, List<ApiEntityTag> body, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for addTags
    `ApiResponse<List<ApiEntityTag>>` | `addTagsWithHttpInfo(String clusterName, List<ApiEntityTag> body)` Attach tags to the cluster.
    `void` | `autoAssignRoles(String clusterName)` Automatically assign roles to hosts and create the roles for all the services in a cluster.
    `okhttp3.Call` | `autoAssignRolesAsync(String clusterName, ApiCallback<Void> callback)` Automatically assign roles to hosts and create the roles for all the services in a cluster.
    `okhttp3.Call` | `autoAssignRolesCall(String clusterName, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for autoAssignRoles
    `ApiResponse<Void>` | `autoAssignRolesWithHttpInfo(String clusterName)` Automatically assign roles to hosts and create the roles for all the services in a cluster.
    `void` | `autoConfigure(String clusterName)` Automatically configures roles and services in a cluster.
    `okhttp3.Call` | `autoConfigureAsync(String clusterName, ApiCallback<Void> callback)` Automatically configures roles and services in a cluster.
    `okhttp3.Call` | `autoConfigureCall(String clusterName, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for autoConfigure
    `ApiResponse<Void>` | `autoConfigureWithHttpInfo(String clusterName)` Automatically configures roles and services in a cluster.
    `ApiCommand` | `checkEcsPrerequisitesCommand(String clusterName)`
    `okhttp3.Call` | `checkEcsPrerequisitesCommandAsync(String clusterName, ApiCallback<ApiCommand> callback)` (asynchronously)
    `okhttp3.Call` | `checkEcsPrerequisitesCommandCall(String clusterName, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for checkEcsPrerequisitesCommand
    `ApiResponse<ApiCommand>` | `checkEcsPrerequisitesCommandWithHttpInfo(String clusterName)`
    `ApiCommand` | `configureAutoTlsServicesCommand(String clusterName)` Configures all services in a cluster to use Auto-TLS.
    `okhttp3.Call` | `configureAutoTlsServicesCommandAsync(String clusterName, ApiCallback<ApiCommand> callback)` Configures all services in a cluster to use Auto-TLS.
    `okhttp3.Call` | `configureAutoTlsServicesCommandCall(String clusterName, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for configureAutoTlsServicesCommand
    `ApiResponse<ApiCommand>` | `configureAutoTlsServicesCommandWithHttpInfo(String clusterName)` Configures all services in a cluster to use Auto-TLS.
    `ApiCommand` | `configureForKerberos(String clusterName, ApiConfigureForKerberosArguments body)` Command to configure the cluster to use Kerberos for authentication.
    `okhttp3.Call` | `configureForKerberosAsync(String clusterName, ApiConfigureForKerberosArguments body, ApiCallback<ApiCommand> callback)` Command to configure the cluster to use Kerberos for authentication.
    `okhttp3.Call` | `configureForKerberosCall(String clusterName, ApiConfigureForKerberosArguments body, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for configureForKerberos
    `ApiResponse<ApiCommand>` | `configureForKerberosWithHttpInfo(String clusterName, ApiConfigureForKerberosArguments body)` Command to configure the cluster to use Kerberos for authentication.
    `ApiClusterList` | `createClusters(ApiClusterList body)` Creates a collection of clusters.
    `okhttp3.Call` | `createClustersAsync(ApiClusterList body, ApiCallback<ApiClusterList> callback)` Creates a collection of clusters.
    `okhttp3.Call` | `createClustersCall(ApiClusterList body, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for createClusters
    `ApiResponse<ApiClusterList>` | `createClustersWithHttpInfo(ApiClusterList body)` Creates a collection of clusters.
    `ApiCluster` | `deleteCluster(String clusterName)` Deletes a cluster.
    `okhttp3.Call` | `deleteClusterAsync(String clusterName, ApiCallback<ApiCluster> callback)` Deletes a cluster.
    `okhttp3.Call` | `deleteClusterCall(String clusterName, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for deleteCluster
    `ApiCommand` | `deleteClusterCredentialsCommand(String clusterName)` Delete existing Kerberos credentials for the cluster.
    `okhttp3.Call` | `deleteClusterCredentialsCommandAsync(String clusterName, ApiCallback<ApiCommand> callback)` Delete existing Kerberos credentials for the cluster.
    `okhttp3.Call` | `deleteClusterCredentialsCommandCall(String clusterName, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for deleteClusterCredentialsCommand
    `ApiResponse<ApiCommand>` | `deleteClusterCredentialsCommandWithHttpInfo(String clusterName)` Delete existing Kerberos credentials for the cluster.
    `ApiResponse<ApiCluster>` | `deleteClusterWithHttpInfo(String clusterName)` Deletes a cluster.
    `List<ApiEntityTag>` | `deleteTags(String clusterName, List<ApiEntityTag> body)` Remove the tags associated with the cluster.
    `okhttp3.Call` | `deleteTagsAsync(String clusterName, List<ApiEntityTag> body, ApiCallback<List<ApiEntityTag>> callback)` Remove the tags associated with the cluster.
    `okhttp3.Call` | `deleteTagsCall(String clusterName, List<ApiEntityTag> body, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for deleteTags
    `ApiResponse<List<ApiEntityTag>>` | `deleteTagsWithHttpInfo(String clusterName, List<ApiEntityTag> body)` Remove the tags associated with the cluster.
    `ApiCommand` | `deployClientConfig(String clusterName)` Deploy the cluster-wide client configuration.
    `okhttp3.Call` | `deployClientConfigAsync(String clusterName, ApiCallback<ApiCommand> callback)` Deploy the cluster-wide client configuration.
    `okhttp3.Call` | `deployClientConfigCall(String clusterName, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for deployClientConfig
    `ApiCommand` | `deployClientConfigsAndRefresh(String clusterName)` Performs a command with the 2 steps - deploy cc - cluster refresh This orchestration is needed for the staleness wizard, so it can invoke a single command at wizard finish.
    `okhttp3.Call` | `deployClientConfigsAndRefreshAsync(String clusterName, ApiCallback<ApiCommand> callback)` Performs a command with the 2 steps - deploy cc - cluster refresh This orchestration is needed for the staleness wizard, so it can invoke a single command at wizard finish.
    `okhttp3.Call` | `deployClientConfigsAndRefreshCall(String clusterName, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for deployClientConfigsAndRefresh
    `ApiResponse<ApiCommand>` | `deployClientConfigsAndRefreshWithHttpInfo(String clusterName)` Performs a command with the 2 steps - deploy cc - cluster refresh This orchestration is needed for the staleness wizard, so it can invoke a single command at wizard finish.
    `ApiResponse<ApiCommand>` | `deployClientConfigWithHttpInfo(String clusterName)` Deploy the cluster-wide client configuration.
    `ApiCommand` | `deployClusterClientConfig(String clusterName, ApiHostRefList body)` Deploy the Cluster's Kerberos client configuration.
    `okhttp3.Call` | `deployClusterClientConfigAsync(String clusterName, ApiHostRefList body, ApiCallback<ApiCommand> callback)` Deploy the Cluster's Kerberos client configuration.
    `okhttp3.Call` | `deployClusterClientConfigCall(String clusterName, ApiHostRefList body, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for deployClusterClientConfig
    `ApiResponse<ApiCommand>` | `deployClusterClientConfigWithHttpInfo(String clusterName, ApiHostRefList body)` Deploy the Cluster's Kerberos client configuration.
    `ApiCommand` | `disableTls(String clusterName)` Disables TLS settings on a cluster.
    `okhttp3.Call` | `disableTlsAsync(String clusterName, ApiCallback<ApiCommand> callback)` Disables TLS settings on a cluster.
    `okhttp3.Call` | `disableTlsCall(String clusterName, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for disableTls
    `ApiResponse<ApiCommand>` | `disableTlsWithHttpInfo(String clusterName)` Disables TLS settings on a cluster.
    `ApiCommand` | `ecsDownloadAndDistribute(String clusterName, ApiEcsDownloadAndDistributeArgs body)`
    `okhttp3.Call` | `ecsDownloadAndDistributeAsync(String clusterName, ApiEcsDownloadAndDistributeArgs body, ApiCallback<ApiCommand> callback)` (asynchronously)
    `okhttp3.Call` | `ecsDownloadAndDistributeCall(String clusterName, ApiEcsDownloadAndDistributeArgs body, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for ecsDownloadAndDistribute
    `ApiResponse<ApiCommand>` | `ecsDownloadAndDistributeWithHttpInfo(String clusterName, ApiEcsDownloadAndDistributeArgs body)`
    `ApiCommand` | `enterMaintenanceMode(String clusterName)` Put the cluster into maintenance mode.
    `okhttp3.Call` | `enterMaintenanceModeAsync(String clusterName, ApiCallback<ApiCommand> callback)` Put the cluster into maintenance mode.
    `okhttp3.Call` | `enterMaintenanceModeCall(String clusterName, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for enterMaintenanceMode
    `ApiResponse<ApiCommand>` | `enterMaintenanceModeWithHttpInfo(String clusterName)` Put the cluster into maintenance mode.
    `ApiCommand` | `exitMaintenanceMode(String clusterName)` Take the cluster out of maintenance mode.
    `okhttp3.Call` | `exitMaintenanceModeAsync(String clusterName, ApiCallback<ApiCommand> callback)` Take the cluster out of maintenance mode.
    `okhttp3.Call` | `exitMaintenanceModeCall(String clusterName, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for exitMaintenanceMode
    `ApiResponse<ApiCommand>` | `exitMaintenanceModeWithHttpInfo(String clusterName)` Take the cluster out of maintenance mode.
    `ApiCommand` | `expireLogs(String clusterName, BigDecimal days, Boolean scheduleNext)` Remove backup and disaster related log files in hdfs.
    `okhttp3.Call` | `expireLogsAsync(String clusterName, BigDecimal days, Boolean scheduleNext, ApiCallback<ApiCommand> callback)` Remove backup and disaster related log files in hdfs.
    `okhttp3.Call` | `expireLogsCall(String clusterName, BigDecimal days, Boolean scheduleNext, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for expireLogs
    `ApiResponse<ApiCommand>` | `expireLogsWithHttpInfo(String clusterName, BigDecimal days, Boolean scheduleNext)` Remove backup and disaster related log files in hdfs.
    `ApiClusterTemplate` | `export(String clusterName, Boolean exportAutoConfig)` Export the cluster template for the given cluster.
    `okhttp3.Call` | `exportAsync(String clusterName, Boolean exportAutoConfig, ApiCallback<ApiClusterTemplate> callback)` Export the cluster template for the given cluster.
    `okhttp3.Call` | `exportCall(String clusterName, Boolean exportAutoConfig, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for export
    `ApiResponse<ApiClusterTemplate>` | `exportWithHttpInfo(String clusterName, Boolean exportAutoConfig)` Export the cluster template for the given cluster.
    `ApiCommand` | `firstRun(String clusterName)` Prepare and start services in a cluster.
    `okhttp3.Call` | `firstRunAsync(String clusterName, ApiCallback<ApiCommand> callback)` Prepare and start services in a cluster.
    `okhttp3.Call` | `firstRunCall(String clusterName, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for firstRun
    `ApiResponse<ApiCommand>` | `firstRunWithHttpInfo(String clusterName)` Prepare and start services in a cluster.
    `ApiClient` | `getApiClient()`
    `File` | `getClientConfig(String clusterName)` Download a zip-compressed archive of the client configuration, of a specific cluster.
    `okhttp3.Call` | `getClientConfigAsync(String clusterName, ApiCallback<File> callback)` Download a zip-compressed archive of the client configuration, of a specific cluster.
    `okhttp3.Call` | `getClientConfigCall(String clusterName, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for getClientConfig
    `ApiResponse<File>` | `getClientConfigWithHttpInfo(String clusterName)` Download a zip-compressed archive of the client configuration, of a specific cluster.
    `ApiClusterSupportToken` | `getClusterSupportToken(String clusterName)` Gets the support token for a cluster.
    `okhttp3.Call` | `getClusterSupportTokenAsync(String clusterName, ApiCallback<ApiClusterSupportToken> callback)` Gets the support token for a cluster.
    `okhttp3.Call` | `getClusterSupportTokenCall(String clusterName, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for getClusterSupportToken
    `ApiResponse<ApiClusterSupportToken>` | `getClusterSupportTokenWithHttpInfo(String clusterName)` Gets the support token for a cluster.
    `ApiKerberosInfo` | `getKerberosInfo(String clusterName)` Provides Cluster Kerberos information.
    `okhttp3.Call` | `getKerberosInfoAsync(String clusterName, ApiCallback<ApiKerberosInfo> callback)` Provides Cluster Kerberos information.
    `okhttp3.Call` | `getKerberosInfoCall(String clusterName, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for getKerberosInfo
    `ApiResponse<ApiKerberosInfo>` | `getKerberosInfoWithHttpInfo(String clusterName)` Provides Cluster Kerberos information.
    `ApiOzoneBucketInfo` | `getOzoneBucketInfo(String clusterName, String bucketName, String volumeName)` Returns the properties of the provided ozone bucket if the bucket exists.
    `okhttp3.Call` | `getOzoneBucketInfoAsync(String clusterName, String bucketName, String volumeName, ApiCallback<ApiOzoneBucketInfo> callback)` Returns the properties of the provided ozone bucket if the bucket exists.
    `okhttp3.Call` | `getOzoneBucketInfoCall(String clusterName, String bucketName, String volumeName, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for getOzoneBucketInfo
    `ApiResponse<ApiOzoneBucketInfo>` | `getOzoneBucketInfoWithHttpInfo(String clusterName, String bucketName, String volumeName)` Returns the properties of the provided ozone bucket if the bucket exists.
    `ApiOzoneS3GatewayInfo` | `getOzoneS3GatewayInfo(String clusterName, String bucketName)` Returns the REST url for the Ozone S3 Gateway, as well as the AWS credentials needed to access the S3 endpoint.
    `okhttp3.Call` | `getOzoneS3GatewayInfoAsync(String clusterName, String bucketName, ApiCallback<ApiOzoneS3GatewayInfo> callback)` Returns the REST url for the Ozone S3 Gateway, as well as the AWS credentials needed to access the S3 endpoint.
    `okhttp3.Call` | `getOzoneS3GatewayInfoCall(String clusterName, String bucketName, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for getOzoneS3GatewayInfo
    `ApiResponse<ApiOzoneS3GatewayInfo>` | `getOzoneS3GatewayInfoWithHttpInfo(String clusterName, String bucketName)` Returns the REST url for the Ozone S3 Gateway, as well as the AWS credentials needed to access the S3 endpoint.
    `ApiClusterUtilization` | `getUtilizationReport(String clusterName, List<String> daysOfWeek, BigDecimal endHourOfDay, String from, BigDecimal startHourOfDay, String tenantType, String to)` Provides the resource utilization of the entire cluster as well as the resource utilization per tenant.
    `okhttp3.Call` | `getUtilizationReportAsync(String clusterName, List<String> daysOfWeek, BigDecimal endHourOfDay, String from, BigDecimal startHourOfDay, String tenantType, String to, ApiCallback<ApiClusterUtilization> callback)` Provides the resource utilization of the entire cluster as well as the resource utilization per tenant.
    `okhttp3.Call` | `getUtilizationReportCall(String clusterName, List<String> daysOfWeek, BigDecimal endHourOfDay, String from, BigDecimal startHourOfDay, String tenantType, String to, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for getUtilizationReport
    `ApiResponse<ApiClusterUtilization>` | `getUtilizationReportWithHttpInfo(String clusterName, List<String> daysOfWeek, BigDecimal endHourOfDay, String from, BigDecimal startHourOfDay, String tenantType, String to)` Provides the resource utilization of the entire cluster as well as the resource utilization per tenant.
    `ApiCommand` | `inspectHostsCommand(String clusterName)` Runs the host inspector on the configured hosts in the specified cluster.
    `okhttp3.Call` | `inspectHostsCommandAsync(String clusterName, ApiCallback<ApiCommand> callback)` Runs the host inspector on the configured hosts in the specified cluster.
    `okhttp3.Call` | `inspectHostsCommandCall(String clusterName, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for inspectHostsCommand
    `ApiResponse<ApiCommand>` | `inspectHostsCommandWithHttpInfo(String clusterName)` Runs the host inspector on the configured hosts in the specified cluster.
    `Boolean` | `isTlsEnabled(String clusterName)` Returns whether a cluster has any TLS settings enabled.
    `okhttp3.Call` | `isTlsEnabledAsync(String clusterName, ApiCallback<Boolean> callback)` Returns whether a cluster has any TLS settings enabled.
    `okhttp3.Call` | `isTlsEnabledCall(String clusterName, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for isTlsEnabled
    `ApiResponse<Boolean>` | `isTlsEnabledWithHttpInfo(String clusterName)` Returns whether a cluster has any TLS settings enabled.
    `ApiCommandList` | `listActiveCommands(String clusterName, String commandName, String view)` List active cluster commands.
    `okhttp3.Call` | `listActiveCommandsAsync(String clusterName, String commandName, String view, ApiCallback<ApiCommandList> callback)` List active cluster commands.
    `okhttp3.Call` | `listActiveCommandsCall(String clusterName, String commandName, String view, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for listActiveCommands
    `ApiResponse<ApiCommandList>` | `listActiveCommandsWithHttpInfo(String clusterName, String commandName, String view)` List active cluster commands.
    `ApiServiceList` | `listDfsServices(String clusterName, String view)` List the services that can provide distributed file system (DFS) capabilities in this cluster.
    `okhttp3.Call` | `listDfsServicesAsync(String clusterName, String view, ApiCallback<ApiServiceList> callback)` List the services that can provide distributed file system (DFS) capabilities in this cluster.
    `okhttp3.Call` | `listDfsServicesCall(String clusterName, String view, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for listDfsServices
    `ApiResponse<ApiServiceList>` | `listDfsServicesWithHttpInfo(String clusterName, String view)` List the services that can provide distributed file system (DFS) capabilities in this cluster.
    `ApiHostList` | `listHosts(String clusterName, String configName, String configValue, String view)` Returns hosts in the system filtered by optional host configuration parameters, if specified.
    `okhttp3.Call` | `listHostsAsync(String clusterName, String configName, String configValue, String view, ApiCallback<ApiHostList> callback)` Returns hosts in the system filtered by optional host configuration parameters, if specified.
    `okhttp3.Call` | `listHostsCall(String clusterName, String configName, String configValue, String view, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for listHosts
    `ApiResponse<ApiHostList>` | `listHostsWithHttpInfo(String clusterName, String configName, String configValue, String view)` Returns hosts in the system filtered by optional host configuration parameters, if specified.
    `ApiServiceTypeList` | `listServiceTypes(String clusterName)` List the supported service types for a cluster.
    `okhttp3.Call` | `listServiceTypesAsync(String clusterName, ApiCallback<ApiServiceTypeList> callback)` List the supported service types for a cluster.
    `okhttp3.Call` | `listServiceTypesCall(String clusterName, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for listServiceTypes
    `ApiResponse<ApiServiceTypeList>` | `listServiceTypesWithHttpInfo(String clusterName)` List the supported service types for a cluster.
    `ApiHdfsUpgradeDomainList` | `listUpgradeDomains(String clusterName)` Returns the Upgrade Domains associated with the cluster and the host names that belong to each Upgrade Domain.
    `okhttp3.Call` | `listUpgradeDomainsAsync(String clusterName, ApiCallback<ApiHdfsUpgradeDomainList> callback)` Returns the Upgrade Domains associated with the cluster and the host names that belong to each Upgrade Domain.
    `okhttp3.Call` | `listUpgradeDomainsCall(String clusterName, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for listUpgradeDomains
    `ApiResponse<ApiHdfsUpgradeDomainList>` | `listUpgradeDomainsWithHttpInfo(String clusterName)` Returns the Upgrade Domains associated with the cluster and the host names that belong to each Upgrade Domain.
    `ApiCommand` | `perfInspectorCommand(String clusterName, ApiClusterPerfInspectorArgs body)` Run cluster performance diagnostics test.
    `okhttp3.Call` | `perfInspectorCommandAsync(String clusterName, ApiClusterPerfInspectorArgs body, ApiCallback<ApiCommand> callback)` Run cluster performance diagnostics test.
    `okhttp3.Call` | `perfInspectorCommandCall(String clusterName, ApiClusterPerfInspectorArgs body, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for perfInspectorCommand
    `ApiResponse<ApiCommand>` | `perfInspectorCommandWithHttpInfo(String clusterName, ApiClusterPerfInspectorArgs body)` Run cluster performance diagnostics test.
    `ApiCommand` | `poolsRefresh(String clusterName)` Updates all refreshable configuration files for services with Dynamic Resource Pools.
    `okhttp3.Call` | `poolsRefreshAsync(String clusterName, ApiCallback<ApiCommand> callback)` Updates all refreshable configuration files for services with Dynamic Resource Pools.
    `okhttp3.Call` | `poolsRefreshCall(String clusterName, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for poolsRefresh
    `ApiResponse<ApiCommand>` | `poolsRefreshWithHttpInfo(String clusterName)` Updates all refreshable configuration files for services with Dynamic Resource Pools.
    `ApiCommand` | `postClouderaRuntimeUpgrade(String clusterName)` Post Cloudera Runtime upgrade API.
    `okhttp3.Call` | `postClouderaRuntimeUpgradeAsync(String clusterName, ApiCallback<ApiCommand> callback)` Post Cloudera Runtime upgrade API.
    `okhttp3.Call` | `postClouderaRuntimeUpgradeCall(String clusterName, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for postClouderaRuntimeUpgrade
    `ApiResponse<ApiCommand>` | `postClouderaRuntimeUpgradeWithHttpInfo(String clusterName)` Post Cloudera Runtime upgrade API.
    `ApiCommand` | `preUpgradeCheckCommand(String clusterName, ApiCdhUpgradeArgs body)` Run cluster pre-upgrade check(s) when upgrading from specified version of CDH to the other.
    `okhttp3.Call` | `preUpgradeCheckCommandAsync(String clusterName, ApiCdhUpgradeArgs body, ApiCallback<ApiCommand> callback)` Run cluster pre-upgrade check(s) when upgrading from specified version of CDH to the other.
    `okhttp3.Call` | `preUpgradeCheckCommandCall(String clusterName, ApiCdhUpgradeArgs body, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for preUpgradeCheckCommand
    `ApiResponse<ApiCommand>` | `preUpgradeCheckCommandWithHttpInfo(String clusterName, ApiCdhUpgradeArgs body)` Run cluster pre-upgrade check(s) when upgrading from specified version of CDH to the other.
    `ApiCluster` | `readCluster(String clusterName, String view)` Reads information about a cluster.
    `okhttp3.Call` | `readClusterAsync(String clusterName, String view, ApiCallback<ApiCluster> callback)` Reads information about a cluster.
    `okhttp3.Call` | `readClusterCall(String clusterName, String view, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for readCluster
    `ApiClusterList` | `readClusters(String clusterType, String view)` List all known clusters.
    `okhttp3.Call` | `readClustersAsync(String clusterType, String view, ApiCallback<ApiClusterList> callback)` List all known clusters.
    `okhttp3.Call` | `readClustersCall(String clusterType, String view, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for readClusters
    `ApiResponse<ApiClusterList>` | `readClustersWithHttpInfo(String clusterType, String view)` List all known clusters.
    `ApiResponse<ApiCluster>` | `readClusterWithHttpInfo(String clusterName, String view)` Reads information about a cluster.
    `List<ApiEntityTag>` | `readTags(String clusterName, BigDecimal limit, BigDecimal offset)` Returns the tags associated with this cluster.
    `okhttp3.Call` | `readTagsAsync(String clusterName, BigDecimal limit, BigDecimal offset, ApiCallback<List<ApiEntityTag>> callback)` Returns the tags associated with this cluster.
    `okhttp3.Call` | `readTagsCall(String clusterName, BigDecimal limit, BigDecimal offset, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for readTags
    `ApiResponse<List<ApiEntityTag>>` | `readTagsWithHttpInfo(String clusterName, BigDecimal limit, BigDecimal offset)` Returns the tags associated with this cluster.
    `ApiCommand` | `refresh(String clusterName)` Updates all refreshable configuration files in the cluster.
    `okhttp3.Call` | `refreshAsync(String clusterName, ApiCallback<ApiCommand> callback)` Updates all refreshable configuration files in the cluster.
    `okhttp3.Call` | `refreshCall(String clusterName, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for refresh
    `ApiResponse<ApiCommand>` | `refreshWithHttpInfo(String clusterName)` Updates all refreshable configuration files in the cluster.
    `ApiHostRefList` | `removeAllHosts(String clusterName)`
    `okhttp3.Call` | `removeAllHostsAsync(String clusterName, ApiCallback<ApiHostRefList> callback)` (asynchronously)
    `okhttp3.Call` | `removeAllHostsCall(String clusterName, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for removeAllHosts
    `ApiResponse<ApiHostRefList>` | `removeAllHostsWithHttpInfo(String clusterName)`
    `ApiHostRef` | `removeHost(String clusterName, String hostId)`
    `okhttp3.Call` | `removeHostAsync(String clusterName, String hostId, ApiCallback<ApiHostRef> callback)` (asynchronously)
    `okhttp3.Call` | `removeHostCall(String clusterName, String hostId, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for removeHost
    `ApiResponse<ApiHostRef>` | `removeHostWithHttpInfo(String clusterName, String hostId)`
    `ApiCommand` | `restartCommand(String clusterName, ApiRestartClusterArgs body)` Restart all services in the cluster.
    `okhttp3.Call` | `restartCommandAsync(String clusterName, ApiRestartClusterArgs body, ApiCallback<ApiCommand> callback)` Restart all services in the cluster.
    `okhttp3.Call` | `restartCommandCall(String clusterName, ApiRestartClusterArgs body, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for restartCommand
    `ApiResponse<ApiCommand>` | `restartCommandWithHttpInfo(String clusterName, ApiRestartClusterArgs body)` Restart all services in the cluster.
    `ApiCommand` | `rollingRestart(String clusterName, ApiRollingRestartClusterArgs body)` Command to do a \"best-effort\" rolling restart of the given cluster, i.
    `okhttp3.Call` | `rollingRestartAsync(String clusterName, ApiRollingRestartClusterArgs body, ApiCallback<ApiCommand> callback)` Command to do a \"best-effort\" rolling restart of the given cluster, i.
    `okhttp3.Call` | `rollingRestartCall(String clusterName, ApiRollingRestartClusterArgs body, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for rollingRestart
    `ApiResponse<ApiCommand>` | `rollingRestartWithHttpInfo(String clusterName, ApiRollingRestartClusterArgs body)` Command to do a \"best-effort\" rolling restart of the given cluster, i.
    `ApiCommand` | `rollingUpgrade(String clusterName, ApiRollingUpgradeServicesArgs body)` Command to do a rolling upgrade of specific services in the given cluster This command does not handle any services that don't support rolling upgrades.
    `okhttp3.Call` | `rollingUpgradeAsync(String clusterName, ApiRollingUpgradeServicesArgs body, ApiCallback<ApiCommand> callback)` Command to do a rolling upgrade of specific services in the given cluster This command does not handle any services that don't support rolling upgrades.
    `okhttp3.Call` | `rollingUpgradeCall(String clusterName, ApiRollingUpgradeServicesArgs body, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for rollingUpgrade
    `ApiResponse<ApiCommand>` | `rollingUpgradeWithHttpInfo(String clusterName, ApiRollingUpgradeServicesArgs body)` Command to do a rolling upgrade of specific services in the given cluster This command does not handle any services that don't support rolling upgrades.
    `ApiCommand` | `runOzoneCommand(String clusterName, String bucketName, String commandName, String volumeName)` Executes an Ozone shell command on an Ozone Role.
    `okhttp3.Call` | `runOzoneCommandAsync(String clusterName, String bucketName, String commandName, String volumeName, ApiCallback<ApiCommand> callback)` Executes an Ozone shell command on an Ozone Role.
    `okhttp3.Call` | `runOzoneCommandCall(String clusterName, String bucketName, String commandName, String volumeName, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for runOzoneCommand
    `ApiResponse<ApiCommand>` | `runOzoneCommandWithHttpInfo(String clusterName, String bucketName, String commandName, String volumeName)` Executes an Ozone shell command on an Ozone Role.
    `ApiCommand` | `runSpecificHostInspectionsCommand(String clusterName, ApiRunSpecificHostInspectionsArgs body)` Runs a specific list of host inspections.
    `okhttp3.Call` | `runSpecificHostInspectionsCommandAsync(String clusterName, ApiRunSpecificHostInspectionsArgs body, ApiCallback<ApiCommand> callback)` Runs a specific list of host inspections.
    `okhttp3.Call` | `runSpecificHostInspectionsCommandCall(String clusterName, ApiRunSpecificHostInspectionsArgs body, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for runSpecificHostInspectionsCommand
    `ApiResponse<ApiCommand>` | `runSpecificHostInspectionsCommandWithHttpInfo(String clusterName, ApiRunSpecificHostInspectionsArgs body)` Runs a specific list of host inspections.
    `void` | `setApiClient(ApiClient apiClient)`
    `ApiCommand` | `startCommand(String clusterName)` Start all services in the cluster.
    `okhttp3.Call` | `startCommandAsync(String clusterName, ApiCallback<ApiCommand> callback)` Start all services in the cluster.
    `okhttp3.Call` | `startCommandCall(String clusterName, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for startCommand
    `ApiResponse<ApiCommand>` | `startCommandWithHttpInfo(String clusterName)` Start all services in the cluster.
    `ApiCommand` | `stopCommand(String clusterName)` Stop all services in the cluster.
    `okhttp3.Call` | `stopCommandAsync(String clusterName, ApiCallback<ApiCommand> callback)` Stop all services in the cluster.
    `okhttp3.Call` | `stopCommandCall(String clusterName, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for stopCommand
    `ApiResponse<ApiCommand>` | `stopCommandWithHttpInfo(String clusterName)` Stop all services in the cluster.
    `ApiCommand` | `tearDownWorkloadCluster(String clusterName, String workloadClusterName)` Tear Down Workload cluster.
    `okhttp3.Call` | `tearDownWorkloadClusterAsync(String clusterName, String workloadClusterName, ApiCallback<ApiCommand> callback)` Tear Down Workload cluster.
    `okhttp3.Call` | `tearDownWorkloadClusterCall(String clusterName, String workloadClusterName, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for tearDownWorkloadCluster
    `ApiResponse<ApiCommand>` | `tearDownWorkloadClusterWithHttpInfo(String clusterName, String workloadClusterName)` Tear Down Workload cluster.
    `ApiCluster` | `updateCluster(String clusterName, ApiCluster body)` Update an existing cluster.
    `okhttp3.Call` | `updateClusterAsync(String clusterName, ApiCluster body, ApiCallback<ApiCluster> callback)` Update an existing cluster.
    `okhttp3.Call` | `updateClusterCall(String clusterName, ApiCluster body, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for updateCluster
    `ApiResponse<ApiCluster>` | `updateClusterWithHttpInfo(String clusterName, ApiCluster body)` Update an existing cluster.
    `ApiCommand` | `upgradeCdhCommand(String clusterName, ApiCdhUpgradeArgs body)` Perform CDH upgrade to the specified version.
    `okhttp3.Call` | `upgradeCdhCommandAsync(String clusterName, ApiCdhUpgradeArgs body, ApiCallback<ApiCommand> callback)` Perform CDH upgrade to the specified version.
    `okhttp3.Call` | `upgradeCdhCommandCall(String clusterName, ApiCdhUpgradeArgs body, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for upgradeCdhCommand
    `ApiResponse<ApiCommand>` | `upgradeCdhCommandWithHttpInfo(String clusterName, ApiCdhUpgradeArgs body)` Perform CDH upgrade to the specified version.
    `ApiCommand` | `upgradeServicesCommand(String clusterName)` Upgrades the services in the cluster to the CDH5 version.
    `okhttp3.Call` | `upgradeServicesCommandAsync(String clusterName, ApiCallback<ApiCommand> callback)` Upgrades the services in the cluster to the CDH5 version.
    `okhttp3.Call` | `upgradeServicesCommandCall(String clusterName, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for upgradeServicesCommand
    `ApiResponse<ApiCommand>` | `upgradeServicesCommandWithHttpInfo(String clusterName)` Upgrades the services in the cluster to the CDH5 version.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ClustersResourceApi

          public ClustersResourceApi()

    - #### ClustersResourceApi

          public ClustersResourceApi(ApiClient apiClient)

  - ### Method Detail

    - #### getApiClient

          public ApiClient getApiClient()

    - #### setApiClient

          public void setApiClient(ApiClient apiClient)

    - #### addHostsCall

          public okhttp3.Call addHostsCall(String clusterName,
                                           ApiHostRefList body,
                                           ProgressResponseBody.ProgressListener progressListener,
                                           ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                    throws ApiException

      Build call for addHosts
      Parameters:
        `clusterName` - (required)
        `body` - (optional)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### addHosts

          public ApiHostRefList addHosts(String clusterName,
                                         ApiHostRefList body)
                                  throws ApiException

      Parameters:
        `clusterName` - (required)
        `body` - (optional)
      Returns:
        ApiHostRefList
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### addHostsWithHttpInfo

          public ApiResponse<ApiHostRefList> addHostsWithHttpInfo(String clusterName,
                                                                  ApiHostRefList body)
                                                           throws ApiException

      Parameters:
        `clusterName` - (required)
        `body` - (optional)
      Returns:
        ApiResponse<ApiHostRefList>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### addHostsAsync

          public okhttp3.Call addHostsAsync(String clusterName,
                                            ApiHostRefList body,
                                            ApiCallback<ApiHostRefList> callback)
                                     throws ApiException

      (asynchronously)
      Parameters:
        `clusterName` - (required)
        `body` - (optional)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### addTagsCall

          public okhttp3.Call addTagsCall(String clusterName,
                                          List<ApiEntityTag> body,
                                          ProgressResponseBody.ProgressListener progressListener,
                                          ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                   throws ApiException

      Build call for addTags
      Parameters:
        `clusterName` - Name of the cluster (required)
        `body` - list of tags to add (optional)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### addTags

          public List<ApiEntityTag> addTags(String clusterName,
                                            List<ApiEntityTag> body)
                                     throws ApiException

      Attach tags to the cluster. Attach tags to the cluster. Tag names beginning with the prefix _cldr_ (case insensitive) are reserved for internal use by Cloudera.
      Parameters:
        `clusterName` - Name of the cluster (required)
        `body` - list of tags to add (optional)
      Returns:
        List<ApiEntityTag>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### addTagsWithHttpInfo

          public ApiResponse<List<ApiEntityTag>> addTagsWithHttpInfo(String clusterName,
                                                                     List<ApiEntityTag> body)
                                                              throws ApiException

      Attach tags to the cluster. Attach tags to the cluster. Tag names beginning with the prefix _cldr_ (case insensitive) are reserved for internal use by Cloudera.
      Parameters:
        `clusterName` - Name of the cluster (required)
        `body` - list of tags to add (optional)
      Returns:
        ApiResponse<List<ApiEntityTag>>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### addTagsAsync

          public okhttp3.Call addTagsAsync(String clusterName,
                                           List<ApiEntityTag> body,
                                           ApiCallback<List<ApiEntityTag>> callback)
                                    throws ApiException

      Attach tags to the cluster. (asynchronously) Attach tags to the cluster. Tag names beginning with the prefix _cldr_ (case insensitive) are reserved for internal use by Cloudera.
      Parameters:
        `clusterName` - Name of the cluster (required)
        `body` - list of tags to add (optional)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### autoAssignRolesCall

          public okhttp3.Call autoAssignRolesCall(String clusterName,
                                                  ProgressResponseBody.ProgressListener progressListener,
                                                  ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                           throws ApiException

      Build call for autoAssignRoles
      Parameters:
        `clusterName` - The name of the cluster. (required)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### autoAssignRoles

          public void autoAssignRoles(String clusterName)
                               throws ApiException

      Automatically assign roles to hosts and create the roles for all the services in a cluster. Automatically assign roles to hosts and create the roles for all the services in a cluster. <p> Assignments are done based on services and hosts in the cluster, and hardware specifications. If no hosts are added to the cluster, an exception will be thrown preventing any role assignments. Existing roles will be taken into account and their assignments will be not be modified. <p> Available since API v6.
      Parameters:
        `clusterName` - The name of the cluster. (required)
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### autoAssignRolesWithHttpInfo

          public ApiResponse<Void> autoAssignRolesWithHttpInfo(String clusterName)
                                                        throws ApiException

      Automatically assign roles to hosts and create the roles for all the services in a cluster. Automatically assign roles to hosts and create the roles for all the services in a cluster. <p> Assignments are done based on services and hosts in the cluster, and hardware specifications. If no hosts are added to the cluster, an exception will be thrown preventing any role assignments. Existing roles will be taken into account and their assignments will be not be modified. <p> Available since API v6.
      Parameters:
        `clusterName` - The name of the cluster. (required)
      Returns:
        ApiResponse<Void>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### autoAssignRolesAsync

          public okhttp3.Call autoAssignRolesAsync(String clusterName,
                                                   ApiCallback<Void> callback)
                                            throws ApiException

      Automatically assign roles to hosts and create the roles for all the services in a cluster. (asynchronously) Automatically assign roles to hosts and create the roles for all the services in a cluster. <p> Assignments are done based on services and hosts in the cluster, and hardware specifications. If no hosts are added to the cluster, an exception will be thrown preventing any role assignments. Existing roles will be taken into account and their assignments will be not be modified. <p> Available since API v6.
      Parameters:
        `clusterName` - The name of the cluster. (required)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### autoConfigureCall

          public okhttp3.Call autoConfigureCall(String clusterName,
                                                ProgressResponseBody.ProgressListener progressListener,
                                                ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                         throws ApiException

      Build call for autoConfigure
      Parameters:
        `clusterName` - The name of the cluster. (required)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### autoConfigure

          public void autoConfigure(String clusterName)
                             throws ApiException

      Automatically configures roles and services in a cluster. Automatically configures roles and services in a cluster. <p> Overwrites some existing configurations. Might create new role config groups. Only default role config groups must exist before calling this endpoint. Other role config groups must not exist. If they do, an exception will be thrown preventing any configuration. Ignores the Cloudera Management Service even if colocated with roles of this cluster. To avoid over-committing the heap on hosts, assign hosts to this cluster that are not being used by the Cloudera Management Service. <p> Available since API v6.
      Parameters:
        `clusterName` - The name of the cluster. (required)
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### autoConfigureWithHttpInfo

          public ApiResponse<Void> autoConfigureWithHttpInfo(String clusterName)
                                                      throws ApiException

      Automatically configures roles and services in a cluster. Automatically configures roles and services in a cluster. <p> Overwrites some existing configurations. Might create new role config groups. Only default role config groups must exist before calling this endpoint. Other role config groups must not exist. If they do, an exception will be thrown preventing any configuration. Ignores the Cloudera Management Service even if colocated with roles of this cluster. To avoid over-committing the heap on hosts, assign hosts to this cluster that are not being used by the Cloudera Management Service. <p> Available since API v6.
      Parameters:
        `clusterName` - The name of the cluster. (required)
      Returns:
        ApiResponse<Void>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### autoConfigureAsync

          public okhttp3.Call autoConfigureAsync(String clusterName,
                                                 ApiCallback<Void> callback)
                                          throws ApiException

      Automatically configures roles and services in a cluster. (asynchronously) Automatically configures roles and services in a cluster. <p> Overwrites some existing configurations. Might create new role config groups. Only default role config groups must exist before calling this endpoint. Other role config groups must not exist. If they do, an exception will be thrown preventing any configuration. Ignores the Cloudera Management Service even if colocated with roles of this cluster. To avoid over-committing the heap on hosts, assign hosts to this cluster that are not being used by the Cloudera Management Service. <p> Available since API v6.
      Parameters:
        `clusterName` - The name of the cluster. (required)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### checkEcsPrerequisitesCommandCall

          public okhttp3.Call checkEcsPrerequisitesCommandCall(String clusterName,
                                                               ProgressResponseBody.ProgressListener progressListener,
                                                               ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                        throws ApiException

      Build call for checkEcsPrerequisitesCommand
      Parameters:
        `clusterName` - (required)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### checkEcsPrerequisitesCommand

          public ApiCommand checkEcsPrerequisitesCommand(String clusterName)
                                                  throws ApiException

      Parameters:
        `clusterName` - (required)
      Returns:
        ApiCommand
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### checkEcsPrerequisitesCommandWithHttpInfo

          public ApiResponse<ApiCommand> checkEcsPrerequisitesCommandWithHttpInfo(String clusterName)
                                                                           throws ApiException

      Parameters:
        `clusterName` - (required)
      Returns:
        ApiResponse<ApiCommand>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### checkEcsPrerequisitesCommandAsync

          public okhttp3.Call checkEcsPrerequisitesCommandAsync(String clusterName,
                                                                ApiCallback<ApiCommand> callback)
                                                         throws ApiException

      (asynchronously)
      Parameters:
        `clusterName` - (required)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### configureAutoTlsServicesCommandCall

          public okhttp3.Call configureAutoTlsServicesCommandCall(String clusterName,
                                                                  ProgressResponseBody.ProgressListener progressListener,
                                                                  ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                           throws ApiException

      Build call for configureAutoTlsServicesCommand
      Parameters:
        `clusterName` - The name of the cluster. (required)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### configureAutoTlsServicesCommand

          public ApiCommand configureAutoTlsServicesCommand(String clusterName)
                                                     throws ApiException

      Configures all services in a cluster to use Auto-TLS. Configures all services in a cluster to use Auto-TLS
      Parameters:
        `clusterName` - The name of the cluster. (required)
      Returns:
        ApiCommand
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### configureAutoTlsServicesCommandWithHttpInfo

          public ApiResponse<ApiCommand> configureAutoTlsServicesCommandWithHttpInfo(String clusterName)
                                                                              throws ApiException

      Configures all services in a cluster to use Auto-TLS. Configures all services in a cluster to use Auto-TLS
      Parameters:
        `clusterName` - The name of the cluster. (required)
      Returns:
        ApiResponse<ApiCommand>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### configureAutoTlsServicesCommandAsync

          public okhttp3.Call configureAutoTlsServicesCommandAsync(String clusterName,
                                                                   ApiCallback<ApiCommand> callback)
                                                            throws ApiException

      Configures all services in a cluster to use Auto-TLS. (asynchronously) Configures all services in a cluster to use Auto-TLS
      Parameters:
        `clusterName` - The name of the cluster. (required)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### configureForKerberosCall

          public okhttp3.Call configureForKerberosCall(String clusterName,
                                                       ApiConfigureForKerberosArguments body,
                                                       ProgressResponseBody.ProgressListener progressListener,
                                                       ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                throws ApiException

      Build call for configureForKerberos
      Parameters:
        `clusterName` - The name of the cluster. (required)
        `body` - Arguments for the configure for kerberos command. (optional)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### configureForKerberos

          public ApiCommand configureForKerberos(String clusterName,
                                                 ApiConfigureForKerberosArguments body)
                                          throws ApiException

      Command to configure the cluster to use Kerberos for authentication. Command to configure the cluster to use Kerberos for authentication. This command will configure all relevant services on a cluster for Kerberos usage. This command will trigger a GenerateCredentials command to create Kerberos keytabs for all roles in the cluster.
      Parameters:
        `clusterName` - The name of the cluster. (required)
        `body` - Arguments for the configure for kerberos command. (optional)
      Returns:
        ApiCommand
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### configureForKerberosWithHttpInfo

          public ApiResponse<ApiCommand> configureForKerberosWithHttpInfo(String clusterName,
                                                                          ApiConfigureForKerberosArguments body)
                                                                   throws ApiException

      Command to configure the cluster to use Kerberos for authentication. Command to configure the cluster to use Kerberos for authentication. This command will configure all relevant services on a cluster for Kerberos usage. This command will trigger a GenerateCredentials command to create Kerberos keytabs for all roles in the cluster.
      Parameters:
        `clusterName` - The name of the cluster. (required)
        `body` - Arguments for the configure for kerberos command. (optional)
      Returns:
        ApiResponse<ApiCommand>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### configureForKerberosAsync

          public okhttp3.Call configureForKerberosAsync(String clusterName,
                                                        ApiConfigureForKerberosArguments body,
                                                        ApiCallback<ApiCommand> callback)
                                                 throws ApiException

      Command to configure the cluster to use Kerberos for authentication. (asynchronously) Command to configure the cluster to use Kerberos for authentication. This command will configure all relevant services on a cluster for Kerberos usage. This command will trigger a GenerateCredentials command to create Kerberos keytabs for all roles in the cluster.
      Parameters:
        `clusterName` - The name of the cluster. (required)
        `body` - Arguments for the configure for kerberos command. (optional)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### createClustersCall

          public okhttp3.Call createClustersCall(ApiClusterList body,
                                                 ProgressResponseBody.ProgressListener progressListener,
                                                 ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                          throws ApiException

      Build call for createClusters
      Parameters:
        `body` - List of clusters to created. (optional)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### createClusters

          public ApiClusterList createClusters(ApiClusterList body)
                                        throws ApiException

      Creates a collection of clusters. Creates a collection of clusters.
      Parameters:
        `body` - List of clusters to created. (optional)
      Returns:
        ApiClusterList
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### createClustersWithHttpInfo

          public ApiResponse<ApiClusterList> createClustersWithHttpInfo(ApiClusterList body)
                                                                 throws ApiException

      Creates a collection of clusters. Creates a collection of clusters.
      Parameters:
        `body` - List of clusters to created. (optional)
      Returns:
        ApiResponse<ApiClusterList>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### createClustersAsync

          public okhttp3.Call createClustersAsync(ApiClusterList body,
                                                  ApiCallback<ApiClusterList> callback)
                                           throws ApiException

      Creates a collection of clusters. (asynchronously) Creates a collection of clusters.
      Parameters:
        `body` - List of clusters to created. (optional)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### deleteClusterCall

          public okhttp3.Call deleteClusterCall(String clusterName,
                                                ProgressResponseBody.ProgressListener progressListener,
                                                ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                         throws ApiException

      Build call for deleteCluster
      Parameters:
        `clusterName` - Name of cluster to delete. (required)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### deleteCluster

          public ApiCluster deleteCluster(String clusterName)
                                   throws ApiException

      Deletes a cluster. Deletes a cluster.
      Parameters:
        `clusterName` - Name of cluster to delete. (required)
      Returns:
        ApiCluster
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### deleteClusterWithHttpInfo

          public ApiResponse<ApiCluster> deleteClusterWithHttpInfo(String clusterName)
                                                            throws ApiException

      Deletes a cluster. Deletes a cluster.
      Parameters:
        `clusterName` - Name of cluster to delete. (required)
      Returns:
        ApiResponse<ApiCluster>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### deleteClusterAsync

          public okhttp3.Call deleteClusterAsync(String clusterName,
                                                 ApiCallback<ApiCluster> callback)
                                          throws ApiException

      Deletes a cluster. (asynchronously) Deletes a cluster.
      Parameters:
        `clusterName` - Name of cluster to delete. (required)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### deleteClusterCredentialsCommandCall

          public okhttp3.Call deleteClusterCredentialsCommandCall(String clusterName,
                                                                  ProgressResponseBody.ProgressListener progressListener,
                                                                  ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                           throws ApiException

      Build call for deleteClusterCredentialsCommand
      Parameters:
        `clusterName` - cluster name (required)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### deleteClusterCredentialsCommand

          public ApiCommand deleteClusterCredentialsCommand(String clusterName)
                                                     throws ApiException

      Delete existing Kerberos credentials for the cluster. Delete existing Kerberos credentials for the cluster. <p> This command will affect all services that have been configured to use Kerberos, and have existing credentials.
      Parameters:
        `clusterName` - cluster name (required)
      Returns:
        ApiCommand
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### deleteClusterCredentialsCommandWithHttpInfo

          public ApiResponse<ApiCommand> deleteClusterCredentialsCommandWithHttpInfo(String clusterName)
                                                                              throws ApiException

      Delete existing Kerberos credentials for the cluster. Delete existing Kerberos credentials for the cluster. <p> This command will affect all services that have been configured to use Kerberos, and have existing credentials.
      Parameters:
        `clusterName` - cluster name (required)
      Returns:
        ApiResponse<ApiCommand>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### deleteClusterCredentialsCommandAsync

          public okhttp3.Call deleteClusterCredentialsCommandAsync(String clusterName,
                                                                   ApiCallback<ApiCommand> callback)
                                                            throws ApiException

      Delete existing Kerberos credentials for the cluster. (asynchronously) Delete existing Kerberos credentials for the cluster. <p> This command will affect all services that have been configured to use Kerberos, and have existing credentials.
      Parameters:
        `clusterName` - cluster name (required)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### deleteTagsCall

          public okhttp3.Call deleteTagsCall(String clusterName,
                                             List<ApiEntityTag> body,
                                             ProgressResponseBody.ProgressListener progressListener,
                                             ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                      throws ApiException

      Build call for deleteTags
      Parameters:
        `clusterName` - Name of the cluster to remove tags from (required)
        `body` - (optional)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### deleteTags

          public List<ApiEntityTag> deleteTags(String clusterName,
                                               List<ApiEntityTag> body)
                                        throws ApiException

      Remove the tags associated with the cluster. Remove the tags associated with the cluster. Tag names beginning with the prefix _cldr_ (case insensitive) are reserved for internal use by Cloudera.
      Parameters:
        `clusterName` - Name of the cluster to remove tags from (required)
        `body` - (optional)
      Returns:
        List<ApiEntityTag>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### deleteTagsWithHttpInfo

          public ApiResponse<List<ApiEntityTag>> deleteTagsWithHttpInfo(String clusterName,
                                                                        List<ApiEntityTag> body)
                                                                 throws ApiException

      Remove the tags associated with the cluster. Remove the tags associated with the cluster. Tag names beginning with the prefix _cldr_ (case insensitive) are reserved for internal use by Cloudera.
      Parameters:
        `clusterName` - Name of the cluster to remove tags from (required)
        `body` - (optional)
      Returns:
        ApiResponse<List<ApiEntityTag>>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### deleteTagsAsync

          public okhttp3.Call deleteTagsAsync(String clusterName,
                                              List<ApiEntityTag> body,
                                              ApiCallback<List<ApiEntityTag>> callback)
                                       throws ApiException

      Remove the tags associated with the cluster. (asynchronously) Remove the tags associated with the cluster. Tag names beginning with the prefix _cldr_ (case insensitive) are reserved for internal use by Cloudera.
      Parameters:
        `clusterName` - Name of the cluster to remove tags from (required)
        `body` - (optional)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### deployClientConfigCall

          public okhttp3.Call deployClientConfigCall(String clusterName,
                                                     ProgressResponseBody.ProgressListener progressListener,
                                                     ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                              throws ApiException

      Build call for deployClientConfig
      Parameters:
        `clusterName` - The name of the cluster (required)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### deployClientConfig

          public ApiCommand deployClientConfig(String clusterName)
                                        throws ApiException

      Deploy the cluster-wide client configuration. Deploy the cluster-wide client configuration. <p>For each service in the cluster, deploy the service's client configuration to all the hosts that the service runs on.</p> <p>Available since API v2.</p>
      Parameters:
        `clusterName` - The name of the cluster (required)
      Returns:
        ApiCommand
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### deployClientConfigWithHttpInfo

          public ApiResponse<ApiCommand> deployClientConfigWithHttpInfo(String clusterName)
                                                                 throws ApiException

      Deploy the cluster-wide client configuration. Deploy the cluster-wide client configuration. <p>For each service in the cluster, deploy the service's client configuration to all the hosts that the service runs on.</p> <p>Available since API v2.</p>
      Parameters:
        `clusterName` - The name of the cluster (required)
      Returns:
        ApiResponse<ApiCommand>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### deployClientConfigAsync

          public okhttp3.Call deployClientConfigAsync(String clusterName,
                                                      ApiCallback<ApiCommand> callback)
                                               throws ApiException

      Deploy the cluster-wide client configuration. (asynchronously) Deploy the cluster-wide client configuration. <p>For each service in the cluster, deploy the service's client configuration to all the hosts that the service runs on.</p> <p>Available since API v2.</p>
      Parameters:
        `clusterName` - The name of the cluster (required)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### deployClientConfigsAndRefreshCall

          public okhttp3.Call deployClientConfigsAndRefreshCall(String clusterName,
                                                                ProgressResponseBody.ProgressListener progressListener,
                                                                ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                         throws ApiException

      Build call for deployClientConfigsAndRefresh
      Parameters:
        `clusterName` - The name of the cluster. (required)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### deployClientConfigsAndRefresh

          public ApiCommand deployClientConfigsAndRefresh(String clusterName)
                                                   throws ApiException

      Performs a command with the 2 steps - deploy cc - cluster refresh This orchestration is needed for the staleness wizard, so it can invoke a single command at wizard finish. Performs a command with the 2 steps - deploy cc - cluster refresh This orchestration is needed for the staleness wizard, so it can invoke a single command at wizard finish.
      Parameters:
        `clusterName` - The name of the cluster. (required)
      Returns:
        ApiCommand
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### deployClientConfigsAndRefreshWithHttpInfo

          public ApiResponse<ApiCommand> deployClientConfigsAndRefreshWithHttpInfo(String clusterName)
                                                                            throws ApiException

      Performs a command with the 2 steps - deploy cc - cluster refresh This orchestration is needed for the staleness wizard, so it can invoke a single command at wizard finish. Performs a command with the 2 steps - deploy cc - cluster refresh This orchestration is needed for the staleness wizard, so it can invoke a single command at wizard finish.
      Parameters:
        `clusterName` - The name of the cluster. (required)
      Returns:
        ApiResponse<ApiCommand>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### deployClientConfigsAndRefreshAsync

          public okhttp3.Call deployClientConfigsAndRefreshAsync(String clusterName,
                                                                 ApiCallback<ApiCommand> callback)
                                                          throws ApiException

      Performs a command with the 2 steps - deploy cc - cluster refresh This orchestration is needed for the staleness wizard, so it can invoke a single command at wizard finish. (asynchronously) Performs a command with the 2 steps - deploy cc - cluster refresh This orchestration is needed for the staleness wizard, so it can invoke a single command at wizard finish.
      Parameters:
        `clusterName` - The name of the cluster. (required)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### deployClusterClientConfigCall

          public okhttp3.Call deployClusterClientConfigCall(String clusterName,
                                                            ApiHostRefList body,
                                                            ProgressResponseBody.ProgressListener progressListener,
                                                            ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                     throws ApiException

      Build call for deployClusterClientConfig
      Parameters:
        `clusterName` - The name of the cluster (required)
        `body` - Hosts in cluster to deploy to. If empty, will target all eligible hosts in the cluster. (optional)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### deployClusterClientConfig

          public ApiCommand deployClusterClientConfig(String clusterName,
                                                      ApiHostRefList body)
                                               throws ApiException

      Deploy the Cluster's Kerberos client configuration. Deploy the Cluster's Kerberos client configuration. <p> Deploy krb5.conf to hosts in a cluster. Does not deploy to decommissioned hosts or hosts with active processes. </p> <p> Available since API v7. </p>
      Parameters:
        `clusterName` - The name of the cluster (required)
        `body` - Hosts in cluster to deploy to. If empty, will target all eligible hosts in the cluster. (optional)
      Returns:
        ApiCommand
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### deployClusterClientConfigWithHttpInfo

          public ApiResponse<ApiCommand> deployClusterClientConfigWithHttpInfo(String clusterName,
                                                                               ApiHostRefList body)
                                                                        throws ApiException

      Deploy the Cluster's Kerberos client configuration. Deploy the Cluster's Kerberos client configuration. <p> Deploy krb5.conf to hosts in a cluster. Does not deploy to decommissioned hosts or hosts with active processes. </p> <p> Available since API v7. </p>
      Parameters:
        `clusterName` - The name of the cluster (required)
        `body` - Hosts in cluster to deploy to. If empty, will target all eligible hosts in the cluster. (optional)
      Returns:
        ApiResponse<ApiCommand>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### deployClusterClientConfigAsync

          public okhttp3.Call deployClusterClientConfigAsync(String clusterName,
                                                             ApiHostRefList body,
                                                             ApiCallback<ApiCommand> callback)
                                                      throws ApiException

      Deploy the Cluster's Kerberos client configuration. (asynchronously) Deploy the Cluster's Kerberos client configuration. <p> Deploy krb5.conf to hosts in a cluster. Does not deploy to decommissioned hosts or hosts with active processes. </p> <p> Available since API v7. </p>
      Parameters:
        `clusterName` - The name of the cluster (required)
        `body` - Hosts in cluster to deploy to. If empty, will target all eligible hosts in the cluster. (optional)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### disableTlsCall

          public okhttp3.Call disableTlsCall(String clusterName,
                                             ProgressResponseBody.ProgressListener progressListener,
                                             ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                      throws ApiException

      Build call for disableTls
      Parameters:
        `clusterName` - The name of the cluster (required)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### disableTls

          public ApiCommand disableTls(String clusterName)
                                throws ApiException

      Disables TLS settings on a cluster. Disables TLS settings on a cluster.
      Parameters:
        `clusterName` - The name of the cluster (required)
      Returns:
        ApiCommand
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### disableTlsWithHttpInfo

          public ApiResponse<ApiCommand> disableTlsWithHttpInfo(String clusterName)
                                                         throws ApiException

      Disables TLS settings on a cluster. Disables TLS settings on a cluster.
      Parameters:
        `clusterName` - The name of the cluster (required)
      Returns:
        ApiResponse<ApiCommand>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### disableTlsAsync

          public okhttp3.Call disableTlsAsync(String clusterName,
                                              ApiCallback<ApiCommand> callback)
                                       throws ApiException

      Disables TLS settings on a cluster. (asynchronously) Disables TLS settings on a cluster.
      Parameters:
        `clusterName` - The name of the cluster (required)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### ecsDownloadAndDistributeCall

          public okhttp3.Call ecsDownloadAndDistributeCall(String clusterName,
                                                           ApiEcsDownloadAndDistributeArgs body,
                                                           ProgressResponseBody.ProgressListener progressListener,
                                                           ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                    throws ApiException

      Build call for ecsDownloadAndDistribute
      Parameters:
        `clusterName` - (required)
        `body` - (optional)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### ecsDownloadAndDistribute

          public ApiCommand ecsDownloadAndDistribute(String clusterName,
                                                     ApiEcsDownloadAndDistributeArgs body)
                                              throws ApiException

      Parameters:
        `clusterName` - (required)
        `body` - (optional)
      Returns:
        ApiCommand
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### ecsDownloadAndDistributeWithHttpInfo

          public ApiResponse<ApiCommand> ecsDownloadAndDistributeWithHttpInfo(String clusterName,
                                                                              ApiEcsDownloadAndDistributeArgs body)
                                                                       throws ApiException

      Parameters:
        `clusterName` - (required)
        `body` - (optional)
      Returns:
        ApiResponse<ApiCommand>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### ecsDownloadAndDistributeAsync

          public okhttp3.Call ecsDownloadAndDistributeAsync(String clusterName,
                                                            ApiEcsDownloadAndDistributeArgs body,
                                                            ApiCallback<ApiCommand> callback)
                                                     throws ApiException

      (asynchronously)
      Parameters:
        `clusterName` - (required)
        `body` - (optional)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### enterMaintenanceModeCall

          public okhttp3.Call enterMaintenanceModeCall(String clusterName,
                                                       ProgressResponseBody.ProgressListener progressListener,
                                                       ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                throws ApiException

      Build call for enterMaintenanceMode
      Parameters:
        `clusterName` - The name of the cluster (required)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### enterMaintenanceMode

          public ApiCommand enterMaintenanceMode(String clusterName)
                                          throws ApiException

      Put the cluster into maintenance mode. Put the cluster into maintenance mode. This is a synchronous command. The result is known immediately upon return. <p>Available since API v2.</p>
      Parameters:
        `clusterName` - The name of the cluster (required)
      Returns:
        ApiCommand
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### enterMaintenanceModeWithHttpInfo

          public ApiResponse<ApiCommand> enterMaintenanceModeWithHttpInfo(String clusterName)
                                                                   throws ApiException

      Put the cluster into maintenance mode. Put the cluster into maintenance mode. This is a synchronous command. The result is known immediately upon return. <p>Available since API v2.</p>
      Parameters:
        `clusterName` - The name of the cluster (required)
      Returns:
        ApiResponse<ApiCommand>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### enterMaintenanceModeAsync

          public okhttp3.Call enterMaintenanceModeAsync(String clusterName,
                                                        ApiCallback<ApiCommand> callback)
                                                 throws ApiException

      Put the cluster into maintenance mode. (asynchronously) Put the cluster into maintenance mode. This is a synchronous command. The result is known immediately upon return. <p>Available since API v2.</p>
      Parameters:
        `clusterName` - The name of the cluster (required)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### exitMaintenanceModeCall

          public okhttp3.Call exitMaintenanceModeCall(String clusterName,
                                                      ProgressResponseBody.ProgressListener progressListener,
                                                      ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                               throws ApiException

      Build call for exitMaintenanceMode
      Parameters:
        `clusterName` - The name of the cluster (required)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### exitMaintenanceMode

          public ApiCommand exitMaintenanceMode(String clusterName)
                                         throws ApiException

      Take the cluster out of maintenance mode. Take the cluster out of maintenance mode. This is a synchronous command. The result is known immediately upon return. <p>Available since API v2.</p>
      Parameters:
        `clusterName` - The name of the cluster (required)
      Returns:
        ApiCommand
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### exitMaintenanceModeWithHttpInfo

          public ApiResponse<ApiCommand> exitMaintenanceModeWithHttpInfo(String clusterName)
                                                                  throws ApiException

      Take the cluster out of maintenance mode. Take the cluster out of maintenance mode. This is a synchronous command. The result is known immediately upon return. <p>Available since API v2.</p>
      Parameters:
        `clusterName` - The name of the cluster (required)
      Returns:
        ApiResponse<ApiCommand>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### exitMaintenanceModeAsync

          public okhttp3.Call exitMaintenanceModeAsync(String clusterName,
                                                       ApiCallback<ApiCommand> callback)
                                                throws ApiException

      Take the cluster out of maintenance mode. (asynchronously) Take the cluster out of maintenance mode. This is a synchronous command. The result is known immediately upon return. <p>Available since API v2.</p>
      Parameters:
        `clusterName` - The name of the cluster (required)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### expireLogsCall

          public okhttp3.Call expireLogsCall(String clusterName,
                                             BigDecimal days,
                                             Boolean scheduleNext,
                                             ProgressResponseBody.ProgressListener progressListener,
                                             ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                      throws ApiException

      Build call for expireLogs
      Parameters:
        `clusterName` - The name of the cluster. (required)
        `days` - Logs more than these many days old are purged. By default, it uses the value defined in the CM configuration. Set to -2 to explicitly set to default. (optional, default to -2)
        `scheduleNext` - Whether to schedule a next run for the command, or not. If set to , the next run will get scheduled after this one finished. If a schedule already exists, it will be updated. Can be omitted, the default value is false. (optional, default to false)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### expireLogs

          public ApiCommand expireLogs(String clusterName,
                                       BigDecimal days,
                                       Boolean scheduleNext)
                                throws ApiException

      Remove backup and disaster related log files in hdfs. Remove backup and disaster related log files in hdfs.
      Parameters:
        `clusterName` - The name of the cluster. (required)
        `days` - Logs more than these many days old are purged. By default, it uses the value defined in the CM configuration. Set to -2 to explicitly set to default. (optional, default to -2)
        `scheduleNext` - Whether to schedule a next run for the command, or not. If set to , the next run will get scheduled after this one finished. If a schedule already exists, it will be updated. Can be omitted, the default value is false. (optional, default to false)
      Returns:
        ApiCommand
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### expireLogsWithHttpInfo

          public ApiResponse<ApiCommand> expireLogsWithHttpInfo(String clusterName,
                                                                BigDecimal days,
                                                                Boolean scheduleNext)
                                                         throws ApiException

      Remove backup and disaster related log files in hdfs. Remove backup and disaster related log files in hdfs.
      Parameters:
        `clusterName` - The name of the cluster. (required)
        `days` - Logs more than these many days old are purged. By default, it uses the value defined in the CM configuration. Set to -2 to explicitly set to default. (optional, default to -2)
        `scheduleNext` - Whether to schedule a next run for the command, or not. If set to , the next run will get scheduled after this one finished. If a schedule already exists, it will be updated. Can be omitted, the default value is false. (optional, default to false)
      Returns:
        ApiResponse<ApiCommand>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### expireLogsAsync

          public okhttp3.Call expireLogsAsync(String clusterName,
                                              BigDecimal days,
                                              Boolean scheduleNext,
                                              ApiCallback<ApiCommand> callback)
                                       throws ApiException

      Remove backup and disaster related log files in hdfs. (asynchronously) Remove backup and disaster related log files in hdfs.
      Parameters:
        `clusterName` - The name of the cluster. (required)
        `days` - Logs more than these many days old are purged. By default, it uses the value defined in the CM configuration. Set to -2 to explicitly set to default. (optional, default to -2)
        `scheduleNext` - Whether to schedule a next run for the command, or not. If set to , the next run will get scheduled after this one finished. If a schedule already exists, it will be updated. Can be omitted, the default value is false. (optional, default to false)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### exportCall

          public okhttp3.Call exportCall(String clusterName,
                                         Boolean exportAutoConfig,
                                         ProgressResponseBody.ProgressListener progressListener,
                                         ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                  throws ApiException

      Build call for export
      Parameters:
        `clusterName` - cluster name (required)
        `exportAutoConfig` - export configs set by the auto configuration (optional, default to false)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### export

          public ApiClusterTemplate export(String clusterName,
                                           Boolean exportAutoConfig)
                                    throws ApiException

      Export the cluster template for the given cluster. Export the cluster template for the given cluster. If cluster does not have host templates defined it will export host templates based on roles assignment.
      Parameters:
        `clusterName` - cluster name (required)
        `exportAutoConfig` - export configs set by the auto configuration (optional, default to false)
      Returns:
        ApiClusterTemplate
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### exportWithHttpInfo

          public ApiResponse<ApiClusterTemplate> exportWithHttpInfo(String clusterName,
                                                                    Boolean exportAutoConfig)
                                                             throws ApiException

      Export the cluster template for the given cluster. Export the cluster template for the given cluster. If cluster does not have host templates defined it will export host templates based on roles assignment.
      Parameters:
        `clusterName` - cluster name (required)
        `exportAutoConfig` - export configs set by the auto configuration (optional, default to false)
      Returns:
        ApiResponse<ApiClusterTemplate>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### exportAsync

          public okhttp3.Call exportAsync(String clusterName,
                                          Boolean exportAutoConfig,
                                          ApiCallback<ApiClusterTemplate> callback)
                                   throws ApiException

      Export the cluster template for the given cluster. (asynchronously) Export the cluster template for the given cluster. If cluster does not have host templates defined it will export host templates based on roles assignment.
      Parameters:
        `clusterName` - cluster name (required)
        `exportAutoConfig` - export configs set by the auto configuration (optional, default to false)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### firstRunCall

          public okhttp3.Call firstRunCall(String clusterName,
                                           ProgressResponseBody.ProgressListener progressListener,
                                           ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                    throws ApiException

      Build call for firstRun
      Parameters:
        `clusterName` - The name of the cluster. (required)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### firstRun

          public ApiCommand firstRun(String clusterName)
                              throws ApiException

      Prepare and start services in a cluster. Prepare and start services in a cluster. <p> Perform all the steps needed to prepare each service in a cluster and start the services in order. </p> <p> Available since API v7. </p>
      Parameters:
        `clusterName` - The name of the cluster. (required)
      Returns:
        ApiCommand
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### firstRunWithHttpInfo

          public ApiResponse<ApiCommand> firstRunWithHttpInfo(String clusterName)
                                                       throws ApiException

      Prepare and start services in a cluster. Prepare and start services in a cluster. <p> Perform all the steps needed to prepare each service in a cluster and start the services in order. </p> <p> Available since API v7. </p>
      Parameters:
        `clusterName` - The name of the cluster. (required)
      Returns:
        ApiResponse<ApiCommand>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### firstRunAsync

          public okhttp3.Call firstRunAsync(String clusterName,
                                            ApiCallback<ApiCommand> callback)
                                     throws ApiException

      Prepare and start services in a cluster. (asynchronously) Prepare and start services in a cluster. <p> Perform all the steps needed to prepare each service in a cluster and start the services in order. </p> <p> Available since API v7. </p>
      Parameters:
        `clusterName` - The name of the cluster. (required)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### getClientConfigCall

          public okhttp3.Call getClientConfigCall(String clusterName,
                                                  ProgressResponseBody.ProgressListener progressListener,
                                                  ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                           throws ApiException

      Build call for getClientConfig
      Parameters:
        `clusterName` - The cluster name. (required)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### getClientConfig

          public File getClientConfig(String clusterName)
                               throws ApiException

      Download a zip-compressed archive of the client configuration, of a specific cluster. Download a zip-compressed archive of the client configuration, of a specific cluster. Currently, this only includes Kerberos Client Configuration (krb5.conf). For client configuration of services, use the clientConfig endpoint of the services resource. This resource does not require any authentication.
      Parameters:
        `clusterName` - The cluster name. (required)
      Returns:
        File
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### getClientConfigWithHttpInfo

          public ApiResponse<File> getClientConfigWithHttpInfo(String clusterName)
                                                        throws ApiException

      Download a zip-compressed archive of the client configuration, of a specific cluster. Download a zip-compressed archive of the client configuration, of a specific cluster. Currently, this only includes Kerberos Client Configuration (krb5.conf). For client configuration of services, use the clientConfig endpoint of the services resource. This resource does not require any authentication.
      Parameters:
        `clusterName` - The cluster name. (required)
      Returns:
        ApiResponse<File>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### getClientConfigAsync

          public okhttp3.Call getClientConfigAsync(String clusterName,
                                                   ApiCallback<File> callback)
                                            throws ApiException

      Download a zip-compressed archive of the client configuration, of a specific cluster. (asynchronously) Download a zip-compressed archive of the client configuration, of a specific cluster. Currently, this only includes Kerberos Client Configuration (krb5.conf). For client configuration of services, use the clientConfig endpoint of the services resource. This resource does not require any authentication.
      Parameters:
        `clusterName` - The cluster name. (required)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### getClusterSupportTokenCall

          public okhttp3.Call getClusterSupportTokenCall(String clusterName,
                                                         ProgressResponseBody.ProgressListener progressListener,
                                                         ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                  throws ApiException

      Build call for getClusterSupportToken
      Parameters:
        `clusterName` - The name of the cluster. (required)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### getClusterSupportToken

          public ApiClusterSupportToken getClusterSupportToken(String clusterName)
                                                        throws ApiException

      Gets the support token for a cluster. Gets the support token for a cluster.
      Parameters:
        `clusterName` - The name of the cluster. (required)
      Returns:
        ApiClusterSupportToken
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### getClusterSupportTokenWithHttpInfo

          public ApiResponse<ApiClusterSupportToken> getClusterSupportTokenWithHttpInfo(String clusterName)
                                                                                 throws ApiException

      Gets the support token for a cluster. Gets the support token for a cluster.
      Parameters:
        `clusterName` - The name of the cluster. (required)
      Returns:
        ApiResponse<ApiClusterSupportToken>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### getClusterSupportTokenAsync

          public okhttp3.Call getClusterSupportTokenAsync(String clusterName,
                                                          ApiCallback<ApiClusterSupportToken> callback)
                                                   throws ApiException

      Gets the support token for a cluster. (asynchronously) Gets the support token for a cluster.
      Parameters:
        `clusterName` - The name of the cluster. (required)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### getKerberosInfoCall

          public okhttp3.Call getKerberosInfoCall(String clusterName,
                                                  ProgressResponseBody.ProgressListener progressListener,
                                                  ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                           throws ApiException

      Build call for getKerberosInfo
      Parameters:
        `clusterName` - The cluster name. (required)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### getKerberosInfo

          public ApiKerberosInfo getKerberosInfo(String clusterName)
                                          throws ApiException

      Provides Cluster Kerberos information. Provides Cluster Kerberos information
      Parameters:
        `clusterName` - The cluster name. (required)
      Returns:
        ApiKerberosInfo
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### getKerberosInfoWithHttpInfo

          public ApiResponse<ApiKerberosInfo> getKerberosInfoWithHttpInfo(String clusterName)
                                                                   throws ApiException

      Provides Cluster Kerberos information. Provides Cluster Kerberos information
      Parameters:
        `clusterName` - The cluster name. (required)
      Returns:
        ApiResponse<ApiKerberosInfo>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### getKerberosInfoAsync

          public okhttp3.Call getKerberosInfoAsync(String clusterName,
                                                   ApiCallback<ApiKerberosInfo> callback)
                                            throws ApiException

      Provides Cluster Kerberos information. (asynchronously) Provides Cluster Kerberos information
      Parameters:
        `clusterName` - The cluster name. (required)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### getOzoneBucketInfoCall

          public okhttp3.Call getOzoneBucketInfoCall(String clusterName,
                                                     String bucketName,
                                                     String volumeName,
                                                     ProgressResponseBody.ProgressListener progressListener,
                                                     ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                              throws ApiException

      Build call for getOzoneBucketInfo
      Parameters:
        `clusterName` - (required)
        `bucketName` - (optional)
        `volumeName` - (optional)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### getOzoneBucketInfo

          public ApiOzoneBucketInfo getOzoneBucketInfo(String clusterName,
                                                       String bucketName,
                                                       String volumeName)
                                                throws ApiException

      Returns the properties of the provided ozone bucket if the bucket exists. Returns the properties of the provided ozone bucket if the bucket exists.
      Parameters:
        `clusterName` - (required)
        `bucketName` - (optional)
        `volumeName` - (optional)
      Returns:
        ApiOzoneBucketInfo
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### getOzoneBucketInfoWithHttpInfo

          public ApiResponse<ApiOzoneBucketInfo> getOzoneBucketInfoWithHttpInfo(String clusterName,
                                                                                String bucketName,
                                                                                String volumeName)
                                                                         throws ApiException

      Returns the properties of the provided ozone bucket if the bucket exists. Returns the properties of the provided ozone bucket if the bucket exists.
      Parameters:
        `clusterName` - (required)
        `bucketName` - (optional)
        `volumeName` - (optional)
      Returns:
        ApiResponse<ApiOzoneBucketInfo>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### getOzoneBucketInfoAsync

          public okhttp3.Call getOzoneBucketInfoAsync(String clusterName,
                                                      String bucketName,
                                                      String volumeName,
                                                      ApiCallback<ApiOzoneBucketInfo> callback)
                                               throws ApiException

      Returns the properties of the provided ozone bucket if the bucket exists. (asynchronously) Returns the properties of the provided ozone bucket if the bucket exists.
      Parameters:
        `clusterName` - (required)
        `bucketName` - (optional)
        `volumeName` - (optional)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### getOzoneS3GatewayInfoCall

          public okhttp3.Call getOzoneS3GatewayInfoCall(String clusterName,
                                                        String bucketName,
                                                        ProgressResponseBody.ProgressListener progressListener,
                                                        ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                 throws ApiException

      Build call for getOzoneS3GatewayInfo
      Parameters:
        `clusterName` - The name of the cluster (required)
        `bucketName` - the name of the bucket to create (optional)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### getOzoneS3GatewayInfo

          public ApiOzoneS3GatewayInfo getOzoneS3GatewayInfo(String clusterName,
                                                             String bucketName)
                                                      throws ApiException

      Returns the REST url for the Ozone S3 Gateway, as well as the AWS credentials needed to access the S3 endpoint. Returns the REST url for the Ozone S3 Gateway, as well as the AWS credentials needed to access the S3 endpoint. Additionally, creates a bucket with the specified name under the volume s3v. If no Ozone is present, or Ozone is not running, returns success with an empty response. Currently, we get the credentials for the Hive kerberos principal, and give ownership of the created bucket to the same. This is likely not a permanent solution. If the cluster is not kerberizied, we return dummy credentials. Requires CDH 7.2.1+ or CDH 7.1.3+
      Parameters:
        `clusterName` - The name of the cluster (required)
        `bucketName` - the name of the bucket to create (optional)
      Returns:
        ApiOzoneS3GatewayInfo
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### getOzoneS3GatewayInfoWithHttpInfo

          public ApiResponse<ApiOzoneS3GatewayInfo> getOzoneS3GatewayInfoWithHttpInfo(String clusterName,
                                                                                      String bucketName)
                                                                               throws ApiException

      Returns the REST url for the Ozone S3 Gateway, as well as the AWS credentials needed to access the S3 endpoint. Returns the REST url for the Ozone S3 Gateway, as well as the AWS credentials needed to access the S3 endpoint. Additionally, creates a bucket with the specified name under the volume s3v. If no Ozone is present, or Ozone is not running, returns success with an empty response. Currently, we get the credentials for the Hive kerberos principal, and give ownership of the created bucket to the same. This is likely not a permanent solution. If the cluster is not kerberizied, we return dummy credentials. Requires CDH 7.2.1+ or CDH 7.1.3+
      Parameters:
        `clusterName` - The name of the cluster (required)
        `bucketName` - the name of the bucket to create (optional)
      Returns:
        ApiResponse<ApiOzoneS3GatewayInfo>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### getOzoneS3GatewayInfoAsync

          public okhttp3.Call getOzoneS3GatewayInfoAsync(String clusterName,
                                                         String bucketName,
                                                         ApiCallback<ApiOzoneS3GatewayInfo> callback)
                                                  throws ApiException

      Returns the REST url for the Ozone S3 Gateway, as well as the AWS credentials needed to access the S3 endpoint. (asynchronously) Returns the REST url for the Ozone S3 Gateway, as well as the AWS credentials needed to access the S3 endpoint. Additionally, creates a bucket with the specified name under the volume s3v. If no Ozone is present, or Ozone is not running, returns success with an empty response. Currently, we get the credentials for the Hive kerberos principal, and give ownership of the created bucket to the same. This is likely not a permanent solution. If the cluster is not kerberizied, we return dummy credentials. Requires CDH 7.2.1+ or CDH 7.1.3+
      Parameters:
        `clusterName` - The name of the cluster (required)
        `bucketName` - the name of the bucket to create (optional)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### getUtilizationReportCall

          public okhttp3.Call getUtilizationReportCall(String clusterName,
                                                       List<String> daysOfWeek,
                                                       BigDecimal endHourOfDay,
                                                       String from,
                                                       BigDecimal startHourOfDay,
                                                       String tenantType,
                                                       String to,
                                                       ProgressResponseBody.ProgressListener progressListener,
                                                       ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                throws ApiException

      Build call for getUtilizationReport
      Parameters:
        `clusterName` - cluster name (required)
        `daysOfWeek` - The days of the week for which the user wants to report utilization. Days is a list of number between 1 to 7, where 1 corresponds to Monday, and 7 corrensponds to Sunday. All 7 days are included if this is not specified. (optional)
        `endHourOfDay` - The end hour of a day for which the user wants to report utilization. The hour is a number between [0-23]. Default value is 23 if this is not specified. (optional, default to 23)
        `from` - Start of the time range to report utilization in ISO 8601 format. (optional)
        `startHourOfDay` - The start hour of a day for which the user wants to report utilization. The hour is a number between [0-23]. Default value is 0 if this is not specified. (optional, default to 0)
        `tenantType` - The type of the tenant (POOL or USER). (optional, default to POOL)
        `to` - End of the the time range to report utilization in ISO 8601 format (defaults to now). (optional, default to now)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### getUtilizationReport

          public ApiClusterUtilization getUtilizationReport(String clusterName,
                                                            List<String> daysOfWeek,
                                                            BigDecimal endHourOfDay,
                                                            String from,
                                                            BigDecimal startHourOfDay,
                                                            String tenantType,
                                                            String to)
                                                     throws ApiException

      Provides the resource utilization of the entire cluster as well as the resource utilization per tenant. Provides the resource utilization of the entire cluster as well as the resource utilization per tenant. Only available with Cloudera Manager Enterprise Edition.
      Parameters:
        `clusterName` - cluster name (required)
        `daysOfWeek` - The days of the week for which the user wants to report utilization. Days is a list of number between 1 to 7, where 1 corresponds to Monday, and 7 corrensponds to Sunday. All 7 days are included if this is not specified. (optional)
        `endHourOfDay` - The end hour of a day for which the user wants to report utilization. The hour is a number between [0-23]. Default value is 23 if this is not specified. (optional, default to 23)
        `from` - Start of the time range to report utilization in ISO 8601 format. (optional)
        `startHourOfDay` - The start hour of a day for which the user wants to report utilization. The hour is a number between [0-23]. Default value is 0 if this is not specified. (optional, default to 0)
        `tenantType` - The type of the tenant (POOL or USER). (optional, default to POOL)
        `to` - End of the the time range to report utilization in ISO 8601 format (defaults to now). (optional, default to now)
      Returns:
        ApiClusterUtilization
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### getUtilizationReportWithHttpInfo

          public ApiResponse<ApiClusterUtilization> getUtilizationReportWithHttpInfo(String clusterName,
                                                                                     List<String> daysOfWeek,
                                                                                     BigDecimal endHourOfDay,
                                                                                     String from,
                                                                                     BigDecimal startHourOfDay,
                                                                                     String tenantType,
                                                                                     String to)
                                                                              throws ApiException

      Provides the resource utilization of the entire cluster as well as the resource utilization per tenant. Provides the resource utilization of the entire cluster as well as the resource utilization per tenant. Only available with Cloudera Manager Enterprise Edition.
      Parameters:
        `clusterName` - cluster name (required)
        `daysOfWeek` - The days of the week for which the user wants to report utilization. Days is a list of number between 1 to 7, where 1 corresponds to Monday, and 7 corrensponds to Sunday. All 7 days are included if this is not specified. (optional)
        `endHourOfDay` - The end hour of a day for which the user wants to report utilization. The hour is a number between [0-23]. Default value is 23 if this is not specified. (optional, default to 23)
        `from` - Start of the time range to report utilization in ISO 8601 format. (optional)
        `startHourOfDay` - The start hour of a day for which the user wants to report utilization. The hour is a number between [0-23]. Default value is 0 if this is not specified. (optional, default to 0)
        `tenantType` - The type of the tenant (POOL or USER). (optional, default to POOL)
        `to` - End of the the time range to report utilization in ISO 8601 format (defaults to now). (optional, default to now)
      Returns:
        ApiResponse<ApiClusterUtilization>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### getUtilizationReportAsync

          public okhttp3.Call getUtilizationReportAsync(String clusterName,
                                                        List<String> daysOfWeek,
                                                        BigDecimal endHourOfDay,
                                                        String from,
                                                        BigDecimal startHourOfDay,
                                                        String tenantType,
                                                        String to,
                                                        ApiCallback<ApiClusterUtilization> callback)
                                                 throws ApiException

      Provides the resource utilization of the entire cluster as well as the resource utilization per tenant. (asynchronously) Provides the resource utilization of the entire cluster as well as the resource utilization per tenant. Only available with Cloudera Manager Enterprise Edition.
      Parameters:
        `clusterName` - cluster name (required)
        `daysOfWeek` - The days of the week for which the user wants to report utilization. Days is a list of number between 1 to 7, where 1 corresponds to Monday, and 7 corrensponds to Sunday. All 7 days are included if this is not specified. (optional)
        `endHourOfDay` - The end hour of a day for which the user wants to report utilization. The hour is a number between [0-23]. Default value is 23 if this is not specified. (optional, default to 23)
        `from` - Start of the time range to report utilization in ISO 8601 format. (optional)
        `startHourOfDay` - The start hour of a day for which the user wants to report utilization. The hour is a number between [0-23]. Default value is 0 if this is not specified. (optional, default to 0)
        `tenantType` - The type of the tenant (POOL or USER). (optional, default to POOL)
        `to` - End of the the time range to report utilization in ISO 8601 format (defaults to now). (optional, default to now)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### inspectHostsCommandCall

          public okhttp3.Call inspectHostsCommandCall(String clusterName,
                                                      ProgressResponseBody.ProgressListener progressListener,
                                                      ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                               throws ApiException

      Build call for inspectHostsCommand
      Parameters:
        `clusterName` - The name of the cluster (required)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### inspectHostsCommand

          public ApiCommand inspectHostsCommand(String clusterName)
                                         throws ApiException

      Runs the host inspector on the configured hosts in the specified cluster. Runs the host inspector on the configured hosts in the specified cluster. Available since V8.
      Parameters:
        `clusterName` - The name of the cluster (required)
      Returns:
        ApiCommand
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### inspectHostsCommandWithHttpInfo

          public ApiResponse<ApiCommand> inspectHostsCommandWithHttpInfo(String clusterName)
                                                                  throws ApiException

      Runs the host inspector on the configured hosts in the specified cluster. Runs the host inspector on the configured hosts in the specified cluster. Available since V8.
      Parameters:
        `clusterName` - The name of the cluster (required)
      Returns:
        ApiResponse<ApiCommand>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### inspectHostsCommandAsync

          public okhttp3.Call inspectHostsCommandAsync(String clusterName,
                                                       ApiCallback<ApiCommand> callback)
                                                throws ApiException

      Runs the host inspector on the configured hosts in the specified cluster. (asynchronously) Runs the host inspector on the configured hosts in the specified cluster. Available since V8.
      Parameters:
        `clusterName` - The name of the cluster (required)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### isTlsEnabledCall

          public okhttp3.Call isTlsEnabledCall(String clusterName,
                                               ProgressResponseBody.ProgressListener progressListener,
                                               ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                        throws ApiException

      Build call for isTlsEnabled
      Parameters:
        `clusterName` - The name of the cluster (required)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### isTlsEnabled

          public Boolean isTlsEnabled(String clusterName)
                               throws ApiException

      Returns whether a cluster has any TLS settings enabled. Returns whether a cluster has any TLS settings enabled. This only checks settings that would have been enabled by Auto-TLS.
      Parameters:
        `clusterName` - The name of the cluster (required)
      Returns:
        Boolean
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### isTlsEnabledWithHttpInfo

          public ApiResponse<Boolean> isTlsEnabledWithHttpInfo(String clusterName)
                                                        throws ApiException

      Returns whether a cluster has any TLS settings enabled. Returns whether a cluster has any TLS settings enabled. This only checks settings that would have been enabled by Auto-TLS.
      Parameters:
        `clusterName` - The name of the cluster (required)
      Returns:
        ApiResponse<Boolean>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### isTlsEnabledAsync

          public okhttp3.Call isTlsEnabledAsync(String clusterName,
                                                ApiCallback<Boolean> callback)
                                         throws ApiException

      Returns whether a cluster has any TLS settings enabled. (asynchronously) Returns whether a cluster has any TLS settings enabled. This only checks settings that would have been enabled by Auto-TLS.
      Parameters:
        `clusterName` - The name of the cluster (required)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### listActiveCommandsCall

          public okhttp3.Call listActiveCommandsCall(String clusterName,
                                                     String commandName,
                                                     String view,
                                                     ProgressResponseBody.ProgressListener progressListener,
                                                     ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                              throws ApiException

      Build call for listActiveCommands
      Parameters:
        `clusterName` - The cluster to which the role belongs. (required)
        `commandName` - the command name, unique for the command class RestartClusterCommand#COMMAND_NAME (optional)
        `view` - The view of the data to materialize, either \"summary\" or \"full\". (optional, default to summary)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### listActiveCommands

          public ApiCommandList listActiveCommands(String clusterName,
                                                   String commandName,
                                                   String view)
                                            throws ApiException

      List active cluster commands. List active cluster commands.
      Parameters:
        `clusterName` - The cluster to which the role belongs. (required)
        `commandName` - the command name, unique for the command class RestartClusterCommand#COMMAND_NAME (optional)
        `view` - The view of the data to materialize, either \"summary\" or \"full\". (optional, default to summary)
      Returns:
        ApiCommandList
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### listActiveCommandsWithHttpInfo

          public ApiResponse<ApiCommandList> listActiveCommandsWithHttpInfo(String clusterName,
                                                                            String commandName,
                                                                            String view)
                                                                     throws ApiException

      List active cluster commands. List active cluster commands.
      Parameters:
        `clusterName` - The cluster to which the role belongs. (required)
        `commandName` - the command name, unique for the command class RestartClusterCommand#COMMAND_NAME (optional)
        `view` - The view of the data to materialize, either \"summary\" or \"full\". (optional, default to summary)
      Returns:
        ApiResponse<ApiCommandList>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### listActiveCommandsAsync

          public okhttp3.Call listActiveCommandsAsync(String clusterName,
                                                      String commandName,
                                                      String view,
                                                      ApiCallback<ApiCommandList> callback)
                                               throws ApiException

      List active cluster commands. (asynchronously) List active cluster commands.
      Parameters:
        `clusterName` - The cluster to which the role belongs. (required)
        `commandName` - the command name, unique for the command class RestartClusterCommand#COMMAND_NAME (optional)
        `view` - The view of the data to materialize, either \"summary\" or \"full\". (optional, default to summary)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### listDfsServicesCall

          public okhttp3.Call listDfsServicesCall(String clusterName,
                                                  String view,
                                                  ProgressResponseBody.ProgressListener progressListener,
                                                  ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                           throws ApiException

      Build call for listDfsServices
      Parameters:
        `clusterName` - cluster name (required)
        `view` - data view required for matching services (optional, default to summary)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### listDfsServices

          public ApiServiceList listDfsServices(String clusterName,
                                                String view)
                                         throws ApiException

      List the services that can provide distributed file system (DFS) capabilities in this cluster. List the services that can provide distributed file system (DFS) capabilities in this cluster.
      Parameters:
        `clusterName` - cluster name (required)
        `view` - data view required for matching services (optional, default to summary)
      Returns:
        ApiServiceList
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### listDfsServicesWithHttpInfo

          public ApiResponse<ApiServiceList> listDfsServicesWithHttpInfo(String clusterName,
                                                                         String view)
                                                                  throws ApiException

      List the services that can provide distributed file system (DFS) capabilities in this cluster. List the services that can provide distributed file system (DFS) capabilities in this cluster.
      Parameters:
        `clusterName` - cluster name (required)
        `view` - data view required for matching services (optional, default to summary)
      Returns:
        ApiResponse<ApiServiceList>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### listDfsServicesAsync

          public okhttp3.Call listDfsServicesAsync(String clusterName,
                                                   String view,
                                                   ApiCallback<ApiServiceList> callback)
                                            throws ApiException

      List the services that can provide distributed file system (DFS) capabilities in this cluster. (asynchronously) List the services that can provide distributed file system (DFS) capabilities in this cluster.
      Parameters:
        `clusterName` - cluster name (required)
        `view` - data view required for matching services (optional, default to summary)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### listHostsCall

          public okhttp3.Call listHostsCall(String clusterName,
                                            String configName,
                                            String configValue,
                                            String view,
                                            ProgressResponseBody.ProgressListener progressListener,
                                            ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                     throws ApiException

      Build call for listHosts
      Parameters:
        `clusterName` - Name of the cluster (required)
        `configName` - optional host config name to filter hosts by. Available from v40. (optional)
        `configValue` - host config value associated with config name. Available from v40. (optional)
        `view` - The view to materialize (optional, default to summary)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### listHosts

          public ApiHostList listHosts(String clusterName,
                                       String configName,
                                       String configValue,
                                       String view)
                                throws ApiException

      Returns hosts in the system filtered by optional host configuration parameters, if specified. Returns hosts in the system filtered by optional host configuration parameters, if specified.
      Parameters:
        `clusterName` - Name of the cluster (required)
        `configName` - optional host config name to filter hosts by. Available from v40. (optional)
        `configValue` - host config value associated with config name. Available from v40. (optional)
        `view` - The view to materialize (optional, default to summary)
      Returns:
        ApiHostList
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### listHostsWithHttpInfo

          public ApiResponse<ApiHostList> listHostsWithHttpInfo(String clusterName,
                                                                String configName,
                                                                String configValue,
                                                                String view)
                                                         throws ApiException

      Returns hosts in the system filtered by optional host configuration parameters, if specified. Returns hosts in the system filtered by optional host configuration parameters, if specified.
      Parameters:
        `clusterName` - Name of the cluster (required)
        `configName` - optional host config name to filter hosts by. Available from v40. (optional)
        `configValue` - host config value associated with config name. Available from v40. (optional)
        `view` - The view to materialize (optional, default to summary)
      Returns:
        ApiResponse<ApiHostList>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### listHostsAsync

          public okhttp3.Call listHostsAsync(String clusterName,
                                             String configName,
                                             String configValue,
                                             String view,
                                             ApiCallback<ApiHostList> callback)
                                      throws ApiException

      Returns hosts in the system filtered by optional host configuration parameters, if specified. (asynchronously) Returns hosts in the system filtered by optional host configuration parameters, if specified.
      Parameters:
        `clusterName` - Name of the cluster (required)
        `configName` - optional host config name to filter hosts by. Available from v40. (optional)
        `configValue` - host config value associated with config name. Available from v40. (optional)
        `view` - The view to materialize (optional, default to summary)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### listServiceTypesCall

          public okhttp3.Call listServiceTypesCall(String clusterName,
                                                   ProgressResponseBody.ProgressListener progressListener,
                                                   ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                            throws ApiException

      Build call for listServiceTypes
      Parameters:
        `clusterName` - The cluster. (required)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### listServiceTypes

          public ApiServiceTypeList listServiceTypes(String clusterName)
                                              throws ApiException

      List the supported service types for a cluster. List the supported service types for a cluster.
      Parameters:
        `clusterName` - The cluster. (required)
      Returns:
        ApiServiceTypeList
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### listServiceTypesWithHttpInfo

          public ApiResponse<ApiServiceTypeList> listServiceTypesWithHttpInfo(String clusterName)
                                                                       throws ApiException

      List the supported service types for a cluster. List the supported service types for a cluster.
      Parameters:
        `clusterName` - The cluster. (required)
      Returns:
        ApiResponse<ApiServiceTypeList>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### listServiceTypesAsync

          public okhttp3.Call listServiceTypesAsync(String clusterName,
                                                    ApiCallback<ApiServiceTypeList> callback)
                                             throws ApiException

      List the supported service types for a cluster. (asynchronously) List the supported service types for a cluster.
      Parameters:
        `clusterName` - The cluster. (required)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### listUpgradeDomainsCall

          public okhttp3.Call listUpgradeDomainsCall(String clusterName,
                                                     ProgressResponseBody.ProgressListener progressListener,
                                                     ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                              throws ApiException

      Build call for listUpgradeDomains
      Parameters:
        `clusterName` - The name of the cluster. (required)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### listUpgradeDomains

          public ApiHdfsUpgradeDomainList listUpgradeDomains(String clusterName)
                                                      throws ApiException

      Returns the Upgrade Domains associated with the cluster and the host names that belong to each Upgrade Domain. Returns the Upgrade Domains associated with the cluster and the host names that belong to each Upgrade Domain. Hosts without an Upgrade Domain set will default to using the rack assignment of the host.
      Parameters:
        `clusterName` - The name of the cluster. (required)
      Returns:
        ApiHdfsUpgradeDomainList
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### listUpgradeDomainsWithHttpInfo

          public ApiResponse<ApiHdfsUpgradeDomainList> listUpgradeDomainsWithHttpInfo(String clusterName)
                                                                               throws ApiException

      Returns the Upgrade Domains associated with the cluster and the host names that belong to each Upgrade Domain. Returns the Upgrade Domains associated with the cluster and the host names that belong to each Upgrade Domain. Hosts without an Upgrade Domain set will default to using the rack assignment of the host.
      Parameters:
        `clusterName` - The name of the cluster. (required)
      Returns:
        ApiResponse<ApiHdfsUpgradeDomainList>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### listUpgradeDomainsAsync

          public okhttp3.Call listUpgradeDomainsAsync(String clusterName,
                                                      ApiCallback<ApiHdfsUpgradeDomainList> callback)
                                               throws ApiException

      Returns the Upgrade Domains associated with the cluster and the host names that belong to each Upgrade Domain. (asynchronously) Returns the Upgrade Domains associated with the cluster and the host names that belong to each Upgrade Domain. Hosts without an Upgrade Domain set will default to using the rack assignment of the host.
      Parameters:
        `clusterName` - The name of the cluster. (required)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### perfInspectorCommandCall

          public okhttp3.Call perfInspectorCommandCall(String clusterName,
                                                       ApiClusterPerfInspectorArgs body,
                                                       ProgressResponseBody.ProgressListener progressListener,
                                                       ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                throws ApiException

      Build call for perfInspectorCommand
      Parameters:
        `clusterName` - The name of the cluster. (required)
        `body` - Optional arguments for the command. See ApiClusterPerfInspectorArgs. (optional)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### perfInspectorCommand

          public ApiCommand perfInspectorCommand(String clusterName,
                                                 ApiClusterPerfInspectorArgs body)
                                          throws ApiException

      Run cluster performance diagnostics test. Run cluster performance diagnostics test.
      Parameters:
        `clusterName` - The name of the cluster. (required)
        `body` - Optional arguments for the command. See ApiClusterPerfInspectorArgs. (optional)
      Returns:
        ApiCommand
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### perfInspectorCommandWithHttpInfo

          public ApiResponse<ApiCommand> perfInspectorCommandWithHttpInfo(String clusterName,
                                                                          ApiClusterPerfInspectorArgs body)
                                                                   throws ApiException

      Run cluster performance diagnostics test. Run cluster performance diagnostics test.
      Parameters:
        `clusterName` - The name of the cluster. (required)
        `body` - Optional arguments for the command. See ApiClusterPerfInspectorArgs. (optional)
      Returns:
        ApiResponse<ApiCommand>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### perfInspectorCommandAsync

          public okhttp3.Call perfInspectorCommandAsync(String clusterName,
                                                        ApiClusterPerfInspectorArgs body,
                                                        ApiCallback<ApiCommand> callback)
                                                 throws ApiException

      Run cluster performance diagnostics test. (asynchronously) Run cluster performance diagnostics test.
      Parameters:
        `clusterName` - The name of the cluster. (required)
        `body` - Optional arguments for the command. See ApiClusterPerfInspectorArgs. (optional)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### poolsRefreshCall

          public okhttp3.Call poolsRefreshCall(String clusterName,
                                               ProgressResponseBody.ProgressListener progressListener,
                                               ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                        throws ApiException

      Build call for poolsRefresh
      Parameters:
        `clusterName` - The name of the cluster (required)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### poolsRefresh

          public ApiCommand poolsRefresh(String clusterName)
                                  throws ApiException

      Updates all refreshable configuration files for services with Dynamic Resource Pools. Updates all refreshable configuration files for services with Dynamic Resource Pools. <p> Available since API v6.
      Parameters:
        `clusterName` - The name of the cluster (required)
      Returns:
        ApiCommand
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### poolsRefreshWithHttpInfo

          public ApiResponse<ApiCommand> poolsRefreshWithHttpInfo(String clusterName)
                                                           throws ApiException

      Updates all refreshable configuration files for services with Dynamic Resource Pools. Updates all refreshable configuration files for services with Dynamic Resource Pools. <p> Available since API v6.
      Parameters:
        `clusterName` - The name of the cluster (required)
      Returns:
        ApiResponse<ApiCommand>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### poolsRefreshAsync

          public okhttp3.Call poolsRefreshAsync(String clusterName,
                                                ApiCallback<ApiCommand> callback)
                                         throws ApiException

      Updates all refreshable configuration files for services with Dynamic Resource Pools. (asynchronously) Updates all refreshable configuration files for services with Dynamic Resource Pools. <p> Available since API v6.
      Parameters:
        `clusterName` - The name of the cluster (required)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### postClouderaRuntimeUpgradeCall

          public okhttp3.Call postClouderaRuntimeUpgradeCall(String clusterName,
                                                             ProgressResponseBody.ProgressListener progressListener,
                                                             ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                      throws ApiException

      Build call for postClouderaRuntimeUpgrade
      Parameters:
        `clusterName` - (required)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### postClouderaRuntimeUpgrade

          public ApiCommand postClouderaRuntimeUpgrade(String clusterName)
                                                throws ApiException

      Post Cloudera Runtime upgrade API. Post Cloudera Runtime upgrade API. <p> This API executes special finalization tasks (already part of regular CDH upgrade) after the installation of an updated build of Cloudera Runtime (no version change). No version change of Cloudera Rumtime means when first 3 digits of build remains the same (e.g. from 7.2.1.a to 7.2.1.b) during upgrade. Purpose of this is to automate manual tasks of CDH upgrade. <p>
      Parameters:
        `clusterName` - (required)
      Returns:
        ApiCommand
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### postClouderaRuntimeUpgradeWithHttpInfo

          public ApiResponse<ApiCommand> postClouderaRuntimeUpgradeWithHttpInfo(String clusterName)
                                                                         throws ApiException

      Post Cloudera Runtime upgrade API. Post Cloudera Runtime upgrade API. <p> This API executes special finalization tasks (already part of regular CDH upgrade) after the installation of an updated build of Cloudera Runtime (no version change). No version change of Cloudera Rumtime means when first 3 digits of build remains the same (e.g. from 7.2.1.a to 7.2.1.b) during upgrade. Purpose of this is to automate manual tasks of CDH upgrade. <p>
      Parameters:
        `clusterName` - (required)
      Returns:
        ApiResponse<ApiCommand>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### postClouderaRuntimeUpgradeAsync

          public okhttp3.Call postClouderaRuntimeUpgradeAsync(String clusterName,
                                                              ApiCallback<ApiCommand> callback)
                                                       throws ApiException

      Post Cloudera Runtime upgrade API. (asynchronously) Post Cloudera Runtime upgrade API. <p> This API executes special finalization tasks (already part of regular CDH upgrade) after the installation of an updated build of Cloudera Runtime (no version change). No version change of Cloudera Rumtime means when first 3 digits of build remains the same (e.g. from 7.2.1.a to 7.2.1.b) during upgrade. Purpose of this is to automate manual tasks of CDH upgrade. <p>
      Parameters:
        `clusterName` - (required)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### preUpgradeCheckCommandCall

          public okhttp3.Call preUpgradeCheckCommandCall(String clusterName,
                                                         ApiCdhUpgradeArgs body,
                                                         ProgressResponseBody.ProgressListener progressListener,
                                                         ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                  throws ApiException

      Build call for preUpgradeCheckCommand
      Parameters:
        `clusterName` - The name of the cluster. (required)
        `body` - Arguments for the command. See ApiCdhUpgradeArgs. (optional)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### preUpgradeCheckCommand

          public ApiCommand preUpgradeCheckCommand(String clusterName,
                                                   ApiCdhUpgradeArgs body)
                                            throws ApiException

      Run cluster pre-upgrade check(s) when upgrading from specified version of CDH to the other. Run cluster pre-upgrade check(s) when upgrading from specified version of CDH to the other. <p> Allows the following upgrade checks: <ul> <li>Minor upgrades from any CDH 5 to any CDH 5</li> <li>Major upgrades from any CDH 5 to any CDH 6</li> <li>Minor upgrades from any CDH 6 to any CDH 6</li> <li>Maintenance upgrades or downgrades (a.b.x to a.b.y)</li> </ul>
      Parameters:
        `clusterName` - The name of the cluster. (required)
        `body` - Arguments for the command. See ApiCdhUpgradeArgs. (optional)
      Returns:
        ApiCommand
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### preUpgradeCheckCommandWithHttpInfo

          public ApiResponse<ApiCommand> preUpgradeCheckCommandWithHttpInfo(String clusterName,
                                                                            ApiCdhUpgradeArgs body)
                                                                     throws ApiException

      Run cluster pre-upgrade check(s) when upgrading from specified version of CDH to the other. Run cluster pre-upgrade check(s) when upgrading from specified version of CDH to the other. <p> Allows the following upgrade checks: <ul> <li>Minor upgrades from any CDH 5 to any CDH 5</li> <li>Major upgrades from any CDH 5 to any CDH 6</li> <li>Minor upgrades from any CDH 6 to any CDH 6</li> <li>Maintenance upgrades or downgrades (a.b.x to a.b.y)</li> </ul>
      Parameters:
        `clusterName` - The name of the cluster. (required)
        `body` - Arguments for the command. See ApiCdhUpgradeArgs. (optional)
      Returns:
        ApiResponse<ApiCommand>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### preUpgradeCheckCommandAsync

          public okhttp3.Call preUpgradeCheckCommandAsync(String clusterName,
                                                          ApiCdhUpgradeArgs body,
                                                          ApiCallback<ApiCommand> callback)
                                                   throws ApiException

      Run cluster pre-upgrade check(s) when upgrading from specified version of CDH to the other. (asynchronously) Run cluster pre-upgrade check(s) when upgrading from specified version of CDH to the other. <p> Allows the following upgrade checks: <ul> <li>Minor upgrades from any CDH 5 to any CDH 5</li> <li>Major upgrades from any CDH 5 to any CDH 6</li> <li>Minor upgrades from any CDH 6 to any CDH 6</li> <li>Maintenance upgrades or downgrades (a.b.x to a.b.y)</li> </ul>
      Parameters:
        `clusterName` - The name of the cluster. (required)
        `body` - Arguments for the command. See ApiCdhUpgradeArgs. (optional)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### readClusterCall

          public okhttp3.Call readClusterCall(String clusterName,
                                              String view,
                                              ProgressResponseBody.ProgressListener progressListener,
                                              ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                       throws ApiException

      Build call for readCluster
      Parameters:
        `clusterName` - Name of cluster to look up. (required)
        `view` - The view to materialize (optional, default to summary)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### readCluster

          public ApiCluster readCluster(String clusterName,
                                        String view)
                                 throws ApiException

      Reads information about a cluster. Reads information about a cluster.
      Parameters:
        `clusterName` - Name of cluster to look up. (required)
        `view` - The view to materialize (optional, default to summary)
      Returns:
        ApiCluster
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### readClusterWithHttpInfo

          public ApiResponse<ApiCluster> readClusterWithHttpInfo(String clusterName,
                                                                 String view)
                                                          throws ApiException

      Reads information about a cluster. Reads information about a cluster.
      Parameters:
        `clusterName` - Name of cluster to look up. (required)
        `view` - The view to materialize (optional, default to summary)
      Returns:
        ApiResponse<ApiCluster>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### readClusterAsync

          public okhttp3.Call readClusterAsync(String clusterName,
                                               String view,
                                               ApiCallback<ApiCluster> callback)
                                        throws ApiException

      Reads information about a cluster. (asynchronously) Reads information about a cluster.
      Parameters:
        `clusterName` - Name of cluster to look up. (required)
        `view` - The view to materialize (optional, default to summary)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### readClustersCall

          public okhttp3.Call readClustersCall(String clusterType,
                                               String view,
                                               ProgressResponseBody.ProgressListener progressListener,
                                               ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                        throws ApiException

      Build call for readClusters
      Parameters:
        `clusterType` - Type of cluster, either \"any\", \"base\", \"compute\" or \"experience\". Default is \"base\". (optional, default to base)
        `view` - The view of the data to materialize, either \"summary\" or \"full\". (optional, default to summary)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### readClusters

          public ApiClusterList readClusters(String clusterType,
                                             String view)
                                      throws ApiException

      List all known clusters. List all known clusters.
      Parameters:
        `clusterType` - Type of cluster, either \"any\", \"base\", \"compute\" or \"experience\". Default is \"base\". (optional, default to base)
        `view` - The view of the data to materialize, either \"summary\" or \"full\". (optional, default to summary)
      Returns:
        ApiClusterList
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### readClustersWithHttpInfo

          public ApiResponse<ApiClusterList> readClustersWithHttpInfo(String clusterType,
                                                                      String view)
                                                               throws ApiException

      List all known clusters. List all known clusters.
      Parameters:
        `clusterType` - Type of cluster, either \"any\", \"base\", \"compute\" or \"experience\". Default is \"base\". (optional, default to base)
        `view` - The view of the data to materialize, either \"summary\" or \"full\". (optional, default to summary)
      Returns:
        ApiResponse<ApiClusterList>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### readClustersAsync

          public okhttp3.Call readClustersAsync(String clusterType,
                                                String view,
                                                ApiCallback<ApiClusterList> callback)
                                         throws ApiException

      List all known clusters. (asynchronously) List all known clusters.
      Parameters:
        `clusterType` - Type of cluster, either \"any\", \"base\", \"compute\" or \"experience\". Default is \"base\". (optional, default to base)
        `view` - The view of the data to materialize, either \"summary\" or \"full\". (optional, default to summary)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### readTagsCall

          public okhttp3.Call readTagsCall(String clusterName,
                                           BigDecimal limit,
                                           BigDecimal offset,
                                           ProgressResponseBody.ProgressListener progressListener,
                                           ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                    throws ApiException

      Build call for readTags
      Parameters:
        `clusterName` - The name of the cluster (required)
        `limit` - Number of tags (optional, default to 10)
        `offset` - Index of the first tag to retrieve (optional, default to 0)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### readTags

          public List<ApiEntityTag> readTags(String clusterName,
                                             BigDecimal limit,
                                             BigDecimal offset)
                                      throws ApiException

      Returns the tags associated with this cluster. Returns the tags associated with this cluster. Tag names beginning with the prefix _cldr_ (case insensitive) are reserved for internal use by Cloudera.
      Parameters:
        `clusterName` - The name of the cluster (required)
        `limit` - Number of tags (optional, default to 10)
        `offset` - Index of the first tag to retrieve (optional, default to 0)
      Returns:
        List<ApiEntityTag>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### readTagsWithHttpInfo

          public ApiResponse<List<ApiEntityTag>> readTagsWithHttpInfo(String clusterName,
                                                                      BigDecimal limit,
                                                                      BigDecimal offset)
                                                               throws ApiException

      Returns the tags associated with this cluster. Returns the tags associated with this cluster. Tag names beginning with the prefix _cldr_ (case insensitive) are reserved for internal use by Cloudera.
      Parameters:
        `clusterName` - The name of the cluster (required)
        `limit` - Number of tags (optional, default to 10)
        `offset` - Index of the first tag to retrieve (optional, default to 0)
      Returns:
        ApiResponse<List<ApiEntityTag>>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### readTagsAsync

          public okhttp3.Call readTagsAsync(String clusterName,
                                            BigDecimal limit,
                                            BigDecimal offset,
                                            ApiCallback<List<ApiEntityTag>> callback)
                                     throws ApiException

      Returns the tags associated with this cluster. (asynchronously) Returns the tags associated with this cluster. Tag names beginning with the prefix _cldr_ (case insensitive) are reserved for internal use by Cloudera.
      Parameters:
        `clusterName` - The name of the cluster (required)
        `limit` - Number of tags (optional, default to 10)
        `offset` - Index of the first tag to retrieve (optional, default to 0)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### refreshCall

          public okhttp3.Call refreshCall(String clusterName,
                                          ProgressResponseBody.ProgressListener progressListener,
                                          ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                   throws ApiException

      Build call for refresh
      Parameters:
        `clusterName` - The name of the cluster (required)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### refresh

          public ApiCommand refresh(String clusterName)
                             throws ApiException

      Updates all refreshable configuration files in the cluster. Updates all refreshable configuration files in the cluster. Will not restart any roles. <p> Available since API v6.
      Parameters:
        `clusterName` - The name of the cluster (required)
      Returns:
        ApiCommand
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### refreshWithHttpInfo

          public ApiResponse<ApiCommand> refreshWithHttpInfo(String clusterName)
                                                      throws ApiException

      Updates all refreshable configuration files in the cluster. Updates all refreshable configuration files in the cluster. Will not restart any roles. <p> Available since API v6.
      Parameters:
        `clusterName` - The name of the cluster (required)
      Returns:
        ApiResponse<ApiCommand>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### refreshAsync

          public okhttp3.Call refreshAsync(String clusterName,
                                           ApiCallback<ApiCommand> callback)
                                    throws ApiException

      Updates all refreshable configuration files in the cluster. (asynchronously) Updates all refreshable configuration files in the cluster. Will not restart any roles. <p> Available since API v6.
      Parameters:
        `clusterName` - The name of the cluster (required)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### removeAllHostsCall

          public okhttp3.Call removeAllHostsCall(String clusterName,
                                                 ProgressResponseBody.ProgressListener progressListener,
                                                 ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                          throws ApiException

      Build call for removeAllHosts
      Parameters:
        `clusterName` - (required)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### removeAllHosts

          public ApiHostRefList removeAllHosts(String clusterName)
                                        throws ApiException

      Parameters:
        `clusterName` - (required)
      Returns:
        ApiHostRefList
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### removeAllHostsWithHttpInfo

          public ApiResponse<ApiHostRefList> removeAllHostsWithHttpInfo(String clusterName)
                                                                 throws ApiException

      Parameters:
        `clusterName` - (required)
      Returns:
        ApiResponse<ApiHostRefList>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### removeAllHostsAsync

          public okhttp3.Call removeAllHostsAsync(String clusterName,
                                                  ApiCallback<ApiHostRefList> callback)
                                           throws ApiException

      (asynchronously)
      Parameters:
        `clusterName` - (required)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### removeHostCall

          public okhttp3.Call removeHostCall(String clusterName,
                                             String hostId,
                                             ProgressResponseBody.ProgressListener progressListener,
                                             ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                      throws ApiException

      Build call for removeHost
      Parameters:
        `clusterName` - (required)
        `hostId` - (required)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### removeHost

          public ApiHostRef removeHost(String clusterName,
                                       String hostId)
                                throws ApiException

      Parameters:
        `clusterName` - (required)
        `hostId` - (required)
      Returns:
        ApiHostRef
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### removeHostWithHttpInfo

          public ApiResponse<ApiHostRef> removeHostWithHttpInfo(String clusterName,
                                                                String hostId)
                                                         throws ApiException

      Parameters:
        `clusterName` - (required)
        `hostId` - (required)
      Returns:
        ApiResponse<ApiHostRef>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### removeHostAsync

          public okhttp3.Call removeHostAsync(String clusterName,
                                              String hostId,
                                              ApiCallback<ApiHostRef> callback)
                                       throws ApiException

      (asynchronously)
      Parameters:
        `clusterName` - (required)
        `hostId` - (required)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### restartCommandCall

          public okhttp3.Call restartCommandCall(String clusterName,
                                                 ApiRestartClusterArgs body,
                                                 ProgressResponseBody.ProgressListener progressListener,
                                                 ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                          throws ApiException

      Build call for restartCommand
      Parameters:
        `clusterName` - The name of the cluster. (required)
        `body` - arguments for the restart command. (optional)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### restartCommand

          public ApiCommand restartCommand(String clusterName,
                                           ApiRestartClusterArgs body)
                                    throws ApiException

      Restart all services in the cluster. Restart all services in the cluster. <p> Services are stopped then started in the appropriate order given their dependencies. The command can optionally restart only stale services and their dependencies as well as redeploy client configuration on all services in the cluster.
      Parameters:
        `clusterName` - The name of the cluster. (required)
        `body` - arguments for the restart command. (optional)
      Returns:
        ApiCommand
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### restartCommandWithHttpInfo

          public ApiResponse<ApiCommand> restartCommandWithHttpInfo(String clusterName,
                                                                    ApiRestartClusterArgs body)
                                                             throws ApiException

      Restart all services in the cluster. Restart all services in the cluster. <p> Services are stopped then started in the appropriate order given their dependencies. The command can optionally restart only stale services and their dependencies as well as redeploy client configuration on all services in the cluster.
      Parameters:
        `clusterName` - The name of the cluster. (required)
        `body` - arguments for the restart command. (optional)
      Returns:
        ApiResponse<ApiCommand>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### restartCommandAsync

          public okhttp3.Call restartCommandAsync(String clusterName,
                                                  ApiRestartClusterArgs body,
                                                  ApiCallback<ApiCommand> callback)
                                           throws ApiException

      Restart all services in the cluster. (asynchronously) Restart all services in the cluster. <p> Services are stopped then started in the appropriate order given their dependencies. The command can optionally restart only stale services and their dependencies as well as redeploy client configuration on all services in the cluster.
      Parameters:
        `clusterName` - The name of the cluster. (required)
        `body` - arguments for the restart command. (optional)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### rollingRestartCall

          public okhttp3.Call rollingRestartCall(String clusterName,
                                                 ApiRollingRestartClusterArgs body,
                                                 ProgressResponseBody.ProgressListener progressListener,
                                                 ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                          throws ApiException

      Build call for rollingRestart
      Parameters:
        `clusterName` - The name of the cluster. (required)
        `body` - Arguments for the rolling restart command. (optional)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### rollingRestart

          public ApiCommand rollingRestart(String clusterName,
                                           ApiRollingRestartClusterArgs body)
                                    throws ApiException

      Command to do a \"best-effort\" rolling restart of the given cluster, i. Command to do a \"best-effort\" rolling restart of the given cluster, i.e. it does plain restart of services that cannot be rolling restarted, followed by first rolling restarting non-slaves and then rolling restarting the slave roles of services that can be rolling restarted. The slave restarts are done host-by-host. <p> Available since API v4. Only available with Cloudera Manager Enterprise Edition.
      Parameters:
        `clusterName` - The name of the cluster. (required)
        `body` - Arguments for the rolling restart command. (optional)
      Returns:
        ApiCommand
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### rollingRestartWithHttpInfo

          public ApiResponse<ApiCommand> rollingRestartWithHttpInfo(String clusterName,
                                                                    ApiRollingRestartClusterArgs body)
                                                             throws ApiException

      Command to do a \"best-effort\" rolling restart of the given cluster, i. Command to do a \"best-effort\" rolling restart of the given cluster, i.e. it does plain restart of services that cannot be rolling restarted, followed by first rolling restarting non-slaves and then rolling restarting the slave roles of services that can be rolling restarted. The slave restarts are done host-by-host. <p> Available since API v4. Only available with Cloudera Manager Enterprise Edition.
      Parameters:
        `clusterName` - The name of the cluster. (required)
        `body` - Arguments for the rolling restart command. (optional)
      Returns:
        ApiResponse<ApiCommand>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### rollingRestartAsync

          public okhttp3.Call rollingRestartAsync(String clusterName,
                                                  ApiRollingRestartClusterArgs body,
                                                  ApiCallback<ApiCommand> callback)
                                           throws ApiException

      Command to do a \"best-effort\" rolling restart of the given cluster, i. (asynchronously) Command to do a \"best-effort\" rolling restart of the given cluster, i.e. it does plain restart of services that cannot be rolling restarted, followed by first rolling restarting non-slaves and then rolling restarting the slave roles of services that can be rolling restarted. The slave restarts are done host-by-host. <p> Available since API v4. Only available with Cloudera Manager Enterprise Edition.
      Parameters:
        `clusterName` - The name of the cluster. (required)
        `body` - Arguments for the rolling restart command. (optional)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### rollingUpgradeCall

          public okhttp3.Call rollingUpgradeCall(String clusterName,
                                                 ApiRollingUpgradeServicesArgs body,
                                                 ProgressResponseBody.ProgressListener progressListener,
                                                 ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                          throws ApiException

      Build call for rollingUpgrade
      Parameters:
        `clusterName` - The name of the cluster. (required)
        `body` - Arguments for the rolling upgrade command. (optional)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### rollingUpgrade

          public ApiCommand rollingUpgrade(String clusterName,
                                           ApiRollingUpgradeServicesArgs body)
                                    throws ApiException

      Command to do a rolling upgrade of specific services in the given cluster This command does not handle any services that don't support rolling upgrades. Command to do a rolling upgrade of specific services in the given cluster This command does not handle any services that don't support rolling upgrades. The command will throw an error and not start if upgrade of any such service is requested. This command does not upgrade the full CDH Cluster. You should normally use the upgradeCDH Command for upgrading the cluster. This is primarily helpful if you need to need to recover from an upgrade failure or for advanced users to script an alternative to the upgradeCdhCommand. This command expects the binaries to be available on hosts and activated. It does not change any binaries on the hosts.
      Parameters:
        `clusterName` - The name of the cluster. (required)
        `body` - Arguments for the rolling upgrade command. (optional)
      Returns:
        ApiCommand
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### rollingUpgradeWithHttpInfo

          public ApiResponse<ApiCommand> rollingUpgradeWithHttpInfo(String clusterName,
                                                                    ApiRollingUpgradeServicesArgs body)
                                                             throws ApiException

      Command to do a rolling upgrade of specific services in the given cluster This command does not handle any services that don't support rolling upgrades. Command to do a rolling upgrade of specific services in the given cluster This command does not handle any services that don't support rolling upgrades. The command will throw an error and not start if upgrade of any such service is requested. This command does not upgrade the full CDH Cluster. You should normally use the upgradeCDH Command for upgrading the cluster. This is primarily helpful if you need to need to recover from an upgrade failure or for advanced users to script an alternative to the upgradeCdhCommand. This command expects the binaries to be available on hosts and activated. It does not change any binaries on the hosts.
      Parameters:
        `clusterName` - The name of the cluster. (required)
        `body` - Arguments for the rolling upgrade command. (optional)
      Returns:
        ApiResponse<ApiCommand>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### rollingUpgradeAsync

          public okhttp3.Call rollingUpgradeAsync(String clusterName,
                                                  ApiRollingUpgradeServicesArgs body,
                                                  ApiCallback<ApiCommand> callback)
                                           throws ApiException

      Command to do a rolling upgrade of specific services in the given cluster This command does not handle any services that don't support rolling upgrades. (asynchronously) Command to do a rolling upgrade of specific services in the given cluster This command does not handle any services that don't support rolling upgrades. The command will throw an error and not start if upgrade of any such service is requested. This command does not upgrade the full CDH Cluster. You should normally use the upgradeCDH Command for upgrading the cluster. This is primarily helpful if you need to need to recover from an upgrade failure or for advanced users to script an alternative to the upgradeCdhCommand. This command expects the binaries to be available on hosts and activated. It does not change any binaries on the hosts.
      Parameters:
        `clusterName` - The name of the cluster. (required)
        `body` - Arguments for the rolling upgrade command. (optional)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### runOzoneCommandCall

          public okhttp3.Call runOzoneCommandCall(String clusterName,
                                                  String bucketName,
                                                  String commandName,
                                                  String volumeName,
                                                  ProgressResponseBody.ProgressListener progressListener,
                                                  ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                           throws ApiException

      Build call for runOzoneCommand
      Parameters:
        `clusterName` - The cluster to which the role belongs. (required)
        `bucketName` - name of the Ozone bucket (optional)
        `commandName` - The command to run on an Ozone Role. (optional)
        `volumeName` - name of the Ozone volume (optional)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### runOzoneCommand

          public ApiCommand runOzoneCommand(String clusterName,
                                            String bucketName,
                                            String commandName,
                                            String volumeName)
                                     throws ApiException

      Executes an Ozone shell command on an Ozone Role. Executes an Ozone shell command on an Ozone Role. The command needs to be defined as a RoleCommand in CM (Eg GetOzoneBucketInfoCommand).
      Parameters:
        `clusterName` - The cluster to which the role belongs. (required)
        `bucketName` - name of the Ozone bucket (optional)
        `commandName` - The command to run on an Ozone Role. (optional)
        `volumeName` - name of the Ozone volume (optional)
      Returns:
        ApiCommand
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### runOzoneCommandWithHttpInfo

          public ApiResponse<ApiCommand> runOzoneCommandWithHttpInfo(String clusterName,
                                                                     String bucketName,
                                                                     String commandName,
                                                                     String volumeName)
                                                              throws ApiException

      Executes an Ozone shell command on an Ozone Role. Executes an Ozone shell command on an Ozone Role. The command needs to be defined as a RoleCommand in CM (Eg GetOzoneBucketInfoCommand).
      Parameters:
        `clusterName` - The cluster to which the role belongs. (required)
        `bucketName` - name of the Ozone bucket (optional)
        `commandName` - The command to run on an Ozone Role. (optional)
        `volumeName` - name of the Ozone volume (optional)
      Returns:
        ApiResponse<ApiCommand>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### runOzoneCommandAsync

          public okhttp3.Call runOzoneCommandAsync(String clusterName,
                                                   String bucketName,
                                                   String commandName,
                                                   String volumeName,
                                                   ApiCallback<ApiCommand> callback)
                                            throws ApiException

      Executes an Ozone shell command on an Ozone Role. (asynchronously) Executes an Ozone shell command on an Ozone Role. The command needs to be defined as a RoleCommand in CM (Eg GetOzoneBucketInfoCommand).
      Parameters:
        `clusterName` - The cluster to which the role belongs. (required)
        `bucketName` - name of the Ozone bucket (optional)
        `commandName` - The command to run on an Ozone Role. (optional)
        `volumeName` - name of the Ozone volume (optional)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### runSpecificHostInspectionsCommandCall

          public okhttp3.Call runSpecificHostInspectionsCommandCall(String clusterName,
                                                                    ApiRunSpecificHostInspectionsArgs body,
                                                                    ProgressResponseBody.ProgressListener progressListener,
                                                                    ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                             throws ApiException

      Build call for runSpecificHostInspectionsCommand
      Parameters:
        `clusterName` - the name of the cluster you want to run the host inspections (required)
        `body` - An object that contains the name of the list of inspections to be run. (optional)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### runSpecificHostInspectionsCommand

          public ApiCommand runSpecificHostInspectionsCommand(String clusterName,
                                                              ApiRunSpecificHostInspectionsArgs body)
                                                       throws ApiException

      Runs a specific list of host inspections. Runs a specific list of host inspections. <p> This command runs the ClusterInspectorCommand, which runs the host inspections for all the hosts in a cluster. More specifically, this command will run a specific list of host inspections specified by the user. If no host inspection list name is provided, the default list of inspections will be ran. </p>
      Parameters:
        `clusterName` - the name of the cluster you want to run the host inspections (required)
        `body` - An object that contains the name of the list of inspections to be run. (optional)
      Returns:
        ApiCommand
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### runSpecificHostInspectionsCommandWithHttpInfo

          public ApiResponse<ApiCommand> runSpecificHostInspectionsCommandWithHttpInfo(String clusterName,
                                                                                       ApiRunSpecificHostInspectionsArgs body)
                                                                                throws ApiException

      Runs a specific list of host inspections. Runs a specific list of host inspections. <p> This command runs the ClusterInspectorCommand, which runs the host inspections for all the hosts in a cluster. More specifically, this command will run a specific list of host inspections specified by the user. If no host inspection list name is provided, the default list of inspections will be ran. </p>
      Parameters:
        `clusterName` - the name of the cluster you want to run the host inspections (required)
        `body` - An object that contains the name of the list of inspections to be run. (optional)
      Returns:
        ApiResponse<ApiCommand>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### runSpecificHostInspectionsCommandAsync

          public okhttp3.Call runSpecificHostInspectionsCommandAsync(String clusterName,
                                                                     ApiRunSpecificHostInspectionsArgs body,
                                                                     ApiCallback<ApiCommand> callback)
                                                              throws ApiException

      Runs a specific list of host inspections. (asynchronously) Runs a specific list of host inspections. <p> This command runs the ClusterInspectorCommand, which runs the host inspections for all the hosts in a cluster. More specifically, this command will run a specific list of host inspections specified by the user. If no host inspection list name is provided, the default list of inspections will be ran. </p>
      Parameters:
        `clusterName` - the name of the cluster you want to run the host inspections (required)
        `body` - An object that contains the name of the list of inspections to be run. (optional)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### startCommandCall

          public okhttp3.Call startCommandCall(String clusterName,
                                               ProgressResponseBody.ProgressListener progressListener,
                                               ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                        throws ApiException

      Build call for startCommand
      Parameters:
        `clusterName` - The name of the cluster. (required)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### startCommand

          public ApiCommand startCommand(String clusterName)
                                  throws ApiException

      Start all services in the cluster. Start all services in the cluster. <p> Services are started in the appropriate order given their dependencies.
      Parameters:
        `clusterName` - The name of the cluster. (required)
      Returns:
        ApiCommand
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### startCommandWithHttpInfo

          public ApiResponse<ApiCommand> startCommandWithHttpInfo(String clusterName)
                                                           throws ApiException

      Start all services in the cluster. Start all services in the cluster. <p> Services are started in the appropriate order given their dependencies.
      Parameters:
        `clusterName` - The name of the cluster. (required)
      Returns:
        ApiResponse<ApiCommand>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### startCommandAsync

          public okhttp3.Call startCommandAsync(String clusterName,
                                                ApiCallback<ApiCommand> callback)
                                         throws ApiException

      Start all services in the cluster. (asynchronously) Start all services in the cluster. <p> Services are started in the appropriate order given their dependencies.
      Parameters:
        `clusterName` - The name of the cluster. (required)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### stopCommandCall

          public okhttp3.Call stopCommandCall(String clusterName,
                                              ProgressResponseBody.ProgressListener progressListener,
                                              ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                       throws ApiException

      Build call for stopCommand
      Parameters:
        `clusterName` - The name of the cluster. (required)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### stopCommand

          public ApiCommand stopCommand(String clusterName)
                                 throws ApiException

      Stop all services in the cluster. Stop all services in the cluster. <p> Services are stopped in the appropriate order given their dependencies.
      Parameters:
        `clusterName` - The name of the cluster. (required)
      Returns:
        ApiCommand
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### stopCommandWithHttpInfo

          public ApiResponse<ApiCommand> stopCommandWithHttpInfo(String clusterName)
                                                          throws ApiException

      Stop all services in the cluster. Stop all services in the cluster. <p> Services are stopped in the appropriate order given their dependencies.
      Parameters:
        `clusterName` - The name of the cluster. (required)
      Returns:
        ApiResponse<ApiCommand>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### stopCommandAsync

          public okhttp3.Call stopCommandAsync(String clusterName,
                                               ApiCallback<ApiCommand> callback)
                                        throws ApiException

      Stop all services in the cluster. (asynchronously) Stop all services in the cluster. <p> Services are stopped in the appropriate order given their dependencies.
      Parameters:
        `clusterName` - The name of the cluster. (required)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### tearDownWorkloadClusterCall

          public okhttp3.Call tearDownWorkloadClusterCall(String clusterName,
                                                          String workloadClusterName,
                                                          ProgressResponseBody.ProgressListener progressListener,
                                                          ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                   throws ApiException

      Build call for tearDownWorkloadCluster
      Parameters:
        `clusterName` - The name of the cluster. (required)
        `workloadClusterName` - The name of the workload cluster. (required)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### tearDownWorkloadCluster

          public ApiCommand tearDownWorkloadCluster(String clusterName,
                                                    String workloadClusterName)
                                             throws ApiException

      Tear Down Workload cluster. Tear Down Workload cluster. <p> Tear Down Ranger plugin service (repository) associated with the workload cluster.
      Parameters:
        `clusterName` - The name of the cluster. (required)
        `workloadClusterName` - The name of the workload cluster. (required)
      Returns:
        ApiCommand
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### tearDownWorkloadClusterWithHttpInfo

          public ApiResponse<ApiCommand> tearDownWorkloadClusterWithHttpInfo(String clusterName,
                                                                             String workloadClusterName)
                                                                      throws ApiException

      Tear Down Workload cluster. Tear Down Workload cluster. <p> Tear Down Ranger plugin service (repository) associated with the workload cluster.
      Parameters:
        `clusterName` - The name of the cluster. (required)
        `workloadClusterName` - The name of the workload cluster. (required)
      Returns:
        ApiResponse<ApiCommand>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### tearDownWorkloadClusterAsync

          public okhttp3.Call tearDownWorkloadClusterAsync(String clusterName,
                                                           String workloadClusterName,
                                                           ApiCallback<ApiCommand> callback)
                                                    throws ApiException

      Tear Down Workload cluster. (asynchronously) Tear Down Workload cluster. <p> Tear Down Ranger plugin service (repository) associated with the workload cluster.
      Parameters:
        `clusterName` - The name of the cluster. (required)
        `workloadClusterName` - The name of the workload cluster. (required)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### updateClusterCall

          public okhttp3.Call updateClusterCall(String clusterName,
                                                ApiCluster body,
                                                ProgressResponseBody.ProgressListener progressListener,
                                                ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                         throws ApiException

      Build call for updateCluster
      Parameters:
        `clusterName` - The name of the cluster. (required)
        `body` - (optional)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### updateCluster

          public ApiCluster updateCluster(String clusterName,
                                          ApiCluster body)
                                   throws ApiException

      Update an existing cluster. Update an existing cluster. <p> To update the CDH version, provide the new value in the \"fullVersion\" property. Setting a correct version that matches the actual installed software will ensure the correct version-specific features, such as services, roles, commands, and configurations. This need not be manually set for clusters using parcels. In general this action is only necessary after the CDH packages have been manually updated. Note that a downgrade may be rejected if it would render existing services or roles unusable. For major upgrade, the \"upgradeService\" cluster command should be used instead.</p> <p> To rename the cluster, provide the new name in the \"displayName\" property for API >= 6, or in the \"name\" property for API <=5. <p> Available since API v2.
      Parameters:
        `clusterName` - The name of the cluster. (required)
        `body` - (optional)
      Returns:
        ApiCluster
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### updateClusterWithHttpInfo

          public ApiResponse<ApiCluster> updateClusterWithHttpInfo(String clusterName,
                                                                   ApiCluster body)
                                                            throws ApiException

      Update an existing cluster. Update an existing cluster. <p> To update the CDH version, provide the new value in the \"fullVersion\" property. Setting a correct version that matches the actual installed software will ensure the correct version-specific features, such as services, roles, commands, and configurations. This need not be manually set for clusters using parcels. In general this action is only necessary after the CDH packages have been manually updated. Note that a downgrade may be rejected if it would render existing services or roles unusable. For major upgrade, the \"upgradeService\" cluster command should be used instead.</p> <p> To rename the cluster, provide the new name in the \"displayName\" property for API >= 6, or in the \"name\" property for API <=5. <p> Available since API v2.
      Parameters:
        `clusterName` - The name of the cluster. (required)
        `body` - (optional)
      Returns:
        ApiResponse<ApiCluster>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### updateClusterAsync

          public okhttp3.Call updateClusterAsync(String clusterName,
                                                 ApiCluster body,
                                                 ApiCallback<ApiCluster> callback)
                                          throws ApiException

      Update an existing cluster. (asynchronously) Update an existing cluster. <p> To update the CDH version, provide the new value in the \"fullVersion\" property. Setting a correct version that matches the actual installed software will ensure the correct version-specific features, such as services, roles, commands, and configurations. This need not be manually set for clusters using parcels. In general this action is only necessary after the CDH packages have been manually updated. Note that a downgrade may be rejected if it would render existing services or roles unusable. For major upgrade, the \"upgradeService\" cluster command should be used instead.</p> <p> To rename the cluster, provide the new name in the \"displayName\" property for API >= 6, or in the \"name\" property for API <=5. <p> Available since API v2.
      Parameters:
        `clusterName` - The name of the cluster. (required)
        `body` - (optional)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### upgradeCdhCommandCall

          public okhttp3.Call upgradeCdhCommandCall(String clusterName,
                                                    ApiCdhUpgradeArgs body,
                                                    ProgressResponseBody.ProgressListener progressListener,
                                                    ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                             throws ApiException

      Build call for upgradeCdhCommand
      Parameters:
        `clusterName` - The name of the cluster. (required)
        `body` - Arguments for the command. See ApiCdhUpgradeArgs. (optional)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### upgradeCdhCommand

          public ApiCommand upgradeCdhCommand(String clusterName,
                                              ApiCdhUpgradeArgs body)
                                       throws ApiException

      Perform CDH upgrade to the specified version. Perform CDH upgrade to the specified version. <p> Allows the following upgrades: <ul> <li>Major upgrades from any CDH 4 to any CDH 5</li> <li>Minor upgrades from any CDH 5 to any CDH 5</li> <li>Maintenance upgrades or downgrades (a.b.x to a.b.y)</li> </ul> <p> If using packages, CDH packages on all hosts of the cluster must be manually upgraded before this command is issued. <p> The command will upgrade the services and their configuration to the version available in the CDH5 distribution. <p> Unless rolling upgrade options are provided, the entire cluster will experience downtime. If rolling upgrade options are provided, command will do a \"best-effort\" rolling upgrade of the given cluster, i.e. it does plain upgrade of services that cannot be rolling upgraded, followed by first rolling upgrading non-slaves and then rolling restarting the slave roles of services that can be rolling restarted. The slave restarts are done host-by-host. <p> Available since v9. Rolling upgrade is only available with Cloudera Manager Enterprise Edition. A more limited upgrade variant available since v6.
      Parameters:
        `clusterName` - The name of the cluster. (required)
        `body` - Arguments for the command. See ApiCdhUpgradeArgs. (optional)
      Returns:
        ApiCommand
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### upgradeCdhCommandWithHttpInfo

          public ApiResponse<ApiCommand> upgradeCdhCommandWithHttpInfo(String clusterName,
                                                                       ApiCdhUpgradeArgs body)
                                                                throws ApiException

      Perform CDH upgrade to the specified version. Perform CDH upgrade to the specified version. <p> Allows the following upgrades: <ul> <li>Major upgrades from any CDH 4 to any CDH 5</li> <li>Minor upgrades from any CDH 5 to any CDH 5</li> <li>Maintenance upgrades or downgrades (a.b.x to a.b.y)</li> </ul> <p> If using packages, CDH packages on all hosts of the cluster must be manually upgraded before this command is issued. <p> The command will upgrade the services and their configuration to the version available in the CDH5 distribution. <p> Unless rolling upgrade options are provided, the entire cluster will experience downtime. If rolling upgrade options are provided, command will do a \"best-effort\" rolling upgrade of the given cluster, i.e. it does plain upgrade of services that cannot be rolling upgraded, followed by first rolling upgrading non-slaves and then rolling restarting the slave roles of services that can be rolling restarted. The slave restarts are done host-by-host. <p> Available since v9. Rolling upgrade is only available with Cloudera Manager Enterprise Edition. A more limited upgrade variant available since v6.
      Parameters:
        `clusterName` - The name of the cluster. (required)
        `body` - Arguments for the command. See ApiCdhUpgradeArgs. (optional)
      Returns:
        ApiResponse<ApiCommand>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### upgradeCdhCommandAsync

          public okhttp3.Call upgradeCdhCommandAsync(String clusterName,
                                                     ApiCdhUpgradeArgs body,
                                                     ApiCallback<ApiCommand> callback)
                                              throws ApiException

      Perform CDH upgrade to the specified version. (asynchronously) Perform CDH upgrade to the specified version. <p> Allows the following upgrades: <ul> <li>Major upgrades from any CDH 4 to any CDH 5</li> <li>Minor upgrades from any CDH 5 to any CDH 5</li> <li>Maintenance upgrades or downgrades (a.b.x to a.b.y)</li> </ul> <p> If using packages, CDH packages on all hosts of the cluster must be manually upgraded before this command is issued. <p> The command will upgrade the services and their configuration to the version available in the CDH5 distribution. <p> Unless rolling upgrade options are provided, the entire cluster will experience downtime. If rolling upgrade options are provided, command will do a \"best-effort\" rolling upgrade of the given cluster, i.e. it does plain upgrade of services that cannot be rolling upgraded, followed by first rolling upgrading non-slaves and then rolling restarting the slave roles of services that can be rolling restarted. The slave restarts are done host-by-host. <p> Available since v9. Rolling upgrade is only available with Cloudera Manager Enterprise Edition. A more limited upgrade variant available since v6.
      Parameters:
        `clusterName` - The name of the cluster. (required)
        `body` - Arguments for the command. See ApiCdhUpgradeArgs. (optional)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### upgradeServicesCommandCall

          public okhttp3.Call upgradeServicesCommandCall(String clusterName,
                                                         ProgressResponseBody.ProgressListener progressListener,
                                                         ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                  throws ApiException

      Build call for upgradeServicesCommand
      Parameters:
        `clusterName` - The name of the cluster. (required)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### upgradeServicesCommand

          public ApiCommand upgradeServicesCommand(String clusterName)
                                            throws ApiException

      Upgrades the services in the cluster to the CDH5 version. Upgrades the services in the cluster to the CDH5 version. <p> This command requires that the CDH packages in the hosts used by the cluster be upgraded to CDH5 before this command is issued. Once issued, this command will stop all running services before proceeding. <p> If parcels are used instead of CDH system packages then the following steps need to happen in order: <ol> <li>Stop all services manually</li> <li>Activate parcel</li> <li>Run this upgrade command</li> </ol> The command will upgrade the services and their configuration to the version available in the CDH5 distribution.
      Parameters:
        `clusterName` - The name of the cluster. (required)
      Returns:
        ApiCommand
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### upgradeServicesCommandWithHttpInfo

          public ApiResponse<ApiCommand> upgradeServicesCommandWithHttpInfo(String clusterName)
                                                                     throws ApiException

      Upgrades the services in the cluster to the CDH5 version. Upgrades the services in the cluster to the CDH5 version. <p> This command requires that the CDH packages in the hosts used by the cluster be upgraded to CDH5 before this command is issued. Once issued, this command will stop all running services before proceeding. <p> If parcels are used instead of CDH system packages then the following steps need to happen in order: <ol> <li>Stop all services manually</li> <li>Activate parcel</li> <li>Run this upgrade command</li> </ol> The command will upgrade the services and their configuration to the version available in the CDH5 distribution.
      Parameters:
        `clusterName` - The name of the cluster. (required)
      Returns:
        ApiResponse<ApiCommand>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### upgradeServicesCommandAsync

          public okhttp3.Call upgradeServicesCommandAsync(String clusterName,
                                                          ApiCallback<ApiCommand> callback)
                                                   throws ApiException

      Upgrades the services in the cluster to the CDH5 version. (asynchronously) Upgrades the services in the cluster to the CDH5 version. <p> This command requires that the CDH packages in the hosts used by the cluster be upgraded to CDH5 before this command is issued. Once issued, this command will stop all running services before proceeding. <p> If parcels are used instead of CDH system packages then the following steps need to happen in order: <ol> <li>Stop all services manually</li> <li>Activate parcel</li> <li>Run this upgrade command</li> </ol> The command will upgrade the services and their configuration to the version available in the CDH5 distribution.
      Parameters:
        `clusterName` - The name of the cluster. (required)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

Copyright © 2026. All rights reserved.